<?php

/************************************************************************************
 *	Add MetaBox to Car edit page
 ************************************************************************************/

function omcr_get_car_meta_box() {

	$meta_box=array (
		'car-details' => array (
			'id' => 'omcr-car-meta-box-type',
			'name' =>  __('Car Details', 'om_car_rental'),
			'fields' => array (
				'omcr_car_price' => array (
					'name' => __('Price (per day)','om_car_rental'),
					'desc' => '',
					'id' => 'omcr_car_price',
					'type' => 'text',
					'std' => '',
				),
				'omcr_car_price_type' => array (
					'name' => __('Display "From" label before car "Price"','om_car_rental'),
					'desc' => '',
					'id' => 'omcr_car_price_type',
					'type' => 'select',
					'std' => 'fix',
					'options' => array(
						'fix' => __('No', 'om_car_rental'),
						'from' => __('Yes', 'om_car_rental'),
					),
				),
			),
		),
		
	);
	
	$options=omcr_get_car_options();
	foreach($options as $k=>$name) {
		$meta_box['car-details']['fields']['omcr_car_'.$k]=array (
			'name' => $name,
			'desc' => '',
			'id' => 'omcr_car_'.$k,
			'type' => 'text',
			'std' => '',
		);
	}
	
	return $meta_box;
	
}
 
function omcr_add_car_meta_box() {
	$omcr_car_meta_box=omcr_get_car_meta_box();
	
	$omcr_car_meta_box=apply_filters('omcr_car_meta_box', $omcr_car_meta_box);

	omcrmb_add_meta_boxes($omcr_car_meta_box, 'om-car');
	
}
add_action('add_meta_boxes', 'omcr_add_car_meta_box');

/*************************************************************************************
 *	Save MetaBox data
 *************************************************************************************/

function omcr_save_car_metabox($post_id) {
	
	$omcr_car_meta_box=omcr_get_car_meta_box();
 
	$omcr_car_meta_box=apply_filters('omcr_car_meta_box', $omcr_car_meta_box);
 
	omcrmb_save_metabox($post_id, $omcr_car_meta_box);

}
add_action('save_post', 'omcr_save_car_metabox');
