<?php

/************************************************************************************
 *	Add MetaBox to location edit page
 ************************************************************************************/

function omcr_get_location_meta_box() {

	$meta_box=array (
		'location-address' => array (
			'id' => 'omcr-location-meta-box-address',
			'name' =>  __('Details', 'om_car_rental'),
			'fields' => array (
				'omcr_location_address' => array (
					'name' => __('Address','om_car_rental'),
					'desc' => __('Provide correct address, which is valid when you search it in Google Maps (needed for correct marker position on maps). In case address is not searchable, you can specify certain Latitude/Longitude below.','om_car_rental'),
					'id' => 'omcr_location_address',
					'type' => 'text',
					'std' => '',
				),
				'omcr_location_geo_lat' => array (
					'name' => __('Location Geographic Latitude (optionally)','om_car_rental'),
					'desc' => __('Latitude is specified in degrees within the range [-90, 90]','om_car_rental'),
					'id' => 'omcr_location_geo_lat',
					'type' => 'text',
					'std' => '',
				),
				'omcr_location_geo_lng' => array (
					'name' => __('Location Geographic Longitude (optionally)','om_car_rental'),
					'desc' => __('Longitude is specified in degrees within the range [-180, 180]','om_car_rental'),
					'id' => 'omcr_location_geo_lng',
					'type' => 'text',
					'std' => '',
				),
			),
		),
		
	);
	
	return $meta_box;
	
}
 
function omcr_add_location_meta_box() {
	$omcr_location_meta_box=omcr_get_location_meta_box();
	
	$omcr_location_meta_box=apply_filters('omcr_location_meta_box', $omcr_location_meta_box);

	omcrmb_add_meta_boxes($omcr_location_meta_box, 'om-car-location');
	
}
add_action('add_meta_boxes', 'omcr_add_location_meta_box');

/*************************************************************************************
 *	Save MetaBox data
 *************************************************************************************/

function omcr_save_location_metabox($post_id) {
	
	$omcr_location_meta_box=omcr_get_location_meta_box();
 
	$omcr_location_meta_box=apply_filters('omcr_location_meta_box', $omcr_location_meta_box);
 
	omcrmb_save_metabox($post_id, $omcr_location_meta_box);

}
add_action('save_post', 'omcr_save_location_metabox');

