<?php

/************************************************************************************
 *	Add MetaBox to rent option edit page
 ************************************************************************************/

function omcr_get_rent_option_meta_box() {

	$meta_box=array (
		'car-details' => array (
			'id' => 'omcr-car-meta-box-type',
			'name' =>  __('Option Details', 'om_car_rental'),
			'fields' => array (
				'omcr_rent_option_price' => array (
					'name' => __('Price','om_car_rental'),
					'desc' => '',
					'id' => 'omcr_rent_option_price',
					'type' => 'text',
					'std' => '',
				),
				'omcr_rent_option_price_period' => array (
					'name' => __('Price period','om_car_rental'),
					'desc' => __('If applicable, e.g. "day"','om_car_rental'),
					'id' => 'omcr_rent_option_price_period',
					'type' => 'text',
					'std' => '',
				),
				'omcr_rent_option_availability' => array (
					'name' => __('Option availability','om_car_rental'),
					'desc' => '',
					'id' => 'omcr_rent_option_availability',
					'type' => 'select',
					'std' => 'all',
					'options' => array(
						'all' => __('For all cars', 'om_car_rental'),
						'selected' => __('Only for selected cars', 'om_car_rental'),
					),
					'code' => '<script>
						jQuery(function($){
							$("#omcr_rent_option_availability").on("change", function(){
								if($(this).val() == "selected") {
									$("#omcr_rent_option_availability_cars").parents("tr").show();
								} else  {
									$("#omcr_rent_option_availability_cars").parents("tr").hide();
								}
							}).change();
						});
					</script>',
				),
				'omcr_rent_option_availability_cars' => array (
					'name' => __('Option available only for cars','om_car_rental'),
					'desc' => __('Check cars','om_car_rental'),
					'id' => 'omcr_rent_option_availability_cars',
					'type' => 'cars',
					'std' => '',
				),
			),
		),
		
	);
	
	return $meta_box;
	
}
 
function omcr_add_rent_option_meta_box() {
	$omcr_rent_option_meta_box=omcr_get_rent_option_meta_box();
	
	$omcr_rent_option_meta_box=apply_filters('omcr_rent_option_meta_box', $omcr_rent_option_meta_box);

	omcrmb_add_meta_boxes($omcr_rent_option_meta_box, 'om-rent-option');
	
}
add_action('add_meta_boxes', 'omcr_add_rent_option_meta_box');

/*************************************************************************************
 *	Save MetaBox data
 *************************************************************************************/

function omcr_save_rent_option_metabox($post_id) {
	
	$omcr_rent_option_meta_box=omcr_get_rent_option_meta_box();
 
	$omcr_rent_option_meta_box=apply_filters('omcr_rent_option_meta_box', $omcr_rent_option_meta_box);
 
	omcrmb_save_metabox($post_id, $omcr_rent_option_meta_box);

}
add_action('save_post', 'omcr_save_rent_option_metabox');

