<?php

/**
 * Add menu item
 */

function omcr_add_settings_page() {
	
	if(!$GLOBALS['omCarRentalPlugin']['config']['display_settings_page'])
		return;
	
  add_submenu_page( 'edit.php?post_type=om-car', __('Settings', 'om_car_rental'), __('Settings', 'om_car_rental'), 'edit_pages', 'omcr_settings', 'omcr_settings_page' );
	
}
add_action('admin_menu', 'omcr_add_settings_page', 11);

/**
 * Add settings for the page
 */

function omcr_add_settings_settings() {
	
	global $omcr_car_settings;
	
	if(!$GLOBALS['omCarRentalPlugin']['config']['display_settings_page'])
		return;
		
	if(isset($omcr_car_settings) && is_array($omcr_car_settings)) {
		foreach($omcr_car_settings as $option) {
			if(isset($option['id']) && $option['id']) {
				register_setting('omcr_settings_group', $option['id']);
			}
		}
	}
	
}
add_action('admin_init', 'omcr_add_settings_settings');

/**
 * Settings page content
 */

function omcr_settings_page() {

	global $omcr_car_settings;
	
	$code='';
	?>
	<div class="wrap omcr-settings-wrap">
		<div id="icon-options-general" class="icon32"><br></div>
		<h2><?php _e('Car Rental Settings', 'om_car_rental'); ?></h2>

		<form method="post" action="options.php" style="max-width:800px">
	    <?php settings_fields( 'omcr_settings_group' ); ?>
	    <table class="form-table">
	<?php
		if(isset($omcr_car_settings) && is_array($omcr_car_settings)) {
			foreach($omcr_car_settings as $option) {
				
				if(has_filter('omcr_settings_page_type_'.$option['type'])) {
					$output .= apply_filters('omcr_settings_page_type_'.$option['type'], $option);
					continue;
				}

				$val=get_option($option['id']);
				if($val === false && isset($option['std'])) {
					$val=$option['std'];
				}
				
				switch($option['type']) {
					
					case 'text':
						echo '
							<tr valign="top">
							<th scope="row"><label for="'.$option['id'].'">'.$option['name'].'</label></th>
							<td>
								<input type="text" name="'.$option['id'].'" id="'.$option['id'].'" value="'. esc_attr($val) .'" class="regular-text" />
						';
						if(isset($option['desc']) && $option['desc'])
							echo '<p class="description">'.$option['desc'].'</p>';
						echo '
							</td>
							</tr>
						';
					break;
					
					case 'textarea':
						echo '
							<tr valign="top">
							<th scope="row"><label for="'.$option['id'].'">'.$option['name'].'</label></th>
							<td>
								<textarea name="'.$option['id'].'" id="'.$option['id'].'" rows="7" class="large-text" />'. esc_textarea($val) .'</textarea>
						';
						if(isset($option['desc']) && $option['desc'])
							echo '<p class="description">'.$option['desc'].'</p>';
						echo '
							</td>
							</tr>
						';
					break;
					
					case 'select':
						echo '
							<tr valign="top">
							<th scope="row"><label for="'.$option['id'].'">'.$option['name'].'</label></th>
							<td>
								<select name="'.$option['id'].'" id="'.$option['id'].'" >
						';
						if(isset($option['options']) && is_array($option['options'])) {
							foreach($option['options'] as $k=>$v) {
								echo '<option value="'.$k.'"'.($val==$k?' selected="selected"':'').'>'.$v.'</option>';
							}
						}
						echo '
								</select>
						';
						if(isset($option['desc']) && $option['desc'])
							echo '<p class="description">'.$option['desc'].'</p>';
						echo '
							</td>
							</tr>
						';
					break;

					case 'intro':
						echo '
							</table>
							<div style="margin:10px 0;border:1px solid #ccc;background:#eee;border-radius:3px;padding:13px 10px" id="'.$option['id'].'">'.$option['message'].'</div>
							<table class="form-table">
						';
					break;
					
					case 'select_page':

						echo '
							<tr valign="top">
							<th scope="row"><label for="'.$option['id'].'">'.$option['name'].'</label></th>
							<td>
								<select name="'.$option['id'].'" id="'.$option['id'].'" ><option value="0">'.__('None (default)','om_theme').'</option>
						';
						$args=array(
							'post_type' => 'page',
							'post_status' => 'publish,private,pending,draft',
						);
						$arr=get_pages($args);
						$defaults = array(
							'depth' => 0, 'child_of' => 0,
							'selected' => $val, 'echo' => 0,
						);
		        $r = wp_parse_args( $args, $defaults );
		        echo walk_page_dropdown_tree($arr, 0, $r);
						echo '
								</select>
						';
						if(isset($option['desc']) && $option['desc'])
							echo '<p class="description">'.$option['desc'].'</p>';
						echo '
							</td>
							</tr>
						';
		
					break;
										
				}
				if(isset($option['code']))
					$code.=$option['code'];
			}
		}
	?>
	    </table>
	    
	    <?php submit_button(); ?>
		</form>
		<?php echo $code ?>
	</div>
<?php

}