<?php

/**
 * Plugin Name: Olevmedia Car Rental
 * Plugin URI: http://olevmedia.com/
 * Description: Olevmedia Car Rental
 * Version: 1.1.1
 * Author: Olevmedia
 * Author URI: http://olevmedia.com/
 * Text Domain: om_car_rental
 */

$plugin_dir_url=plugin_dir_url( __FILE__ );

$GLOBALS['omCarRentalPlugin'] = array(
	'version' => '1.1.1',
	'path' => plugin_dir_path( __FILE__ ),
	'path_url' => $plugin_dir_url,
	'plugin_basename' => plugin_basename( __FILE__ ),
	'config' => array(
		'display_settings_page' => true,
		'include_custom_post_meta_js' => true,
		'update_api_url' => 'http://update-api.olevmedia.net/',
	),
);


function omcr_get_config_from_theme() {
	$GLOBALS['omCarRentalPlugin']['config'] = apply_filters('omcr_config', $GLOBALS['omCarRentalPlugin']['config']);
}
add_action('init', 'omcr_get_config_from_theme');

load_plugin_textdomain( 'om_car_rental', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );

function omcr_activation_hook() {
	update_option('omcr_plugin_just_activated', 1);
	update_option('omcr_do_flush_rewrite_rules', 1);
}
register_activation_hook( __FILE__, 'omcr_activation_hook' );

add_theme_support( 'post-thumbnails', array( 'om-car' ) );

function omcr_enqueue_admin_scripts($hook) {
	if('edit.php' == $hook && isset($_GET['post_type']) && $_GET['post_type'] == 'om-car') {
		wp_enqueue_style('omcr-styles', $GLOBALS['omCarRentalPlugin']['path_url'].'assets/css/admin-edit.css' );
	}
}
add_action('admin_enqueue_scripts', 'omcr_enqueue_admin_scripts');

include_once( 'functions/misc.php' );
include_once( 'libraries/omcr-metaboxes/omcr-metaboxes.php' );
include_once( 'functions/settings.php' );
include_once( 'functions/settings-interface.php' );
include_once( 'functions/custom-post.php' );
include_once( 'functions/custom-post-meta.php' );
include_once( 'functions/locations-post.php' );
include_once( 'functions/locations-meta.php' );
include_once( 'functions/rent-options-post.php' );
include_once( 'functions/rent-options-meta.php' );
include_once( 'functions/plugin-update.php' );