<?php

/**
 *	Add Rent Options Post Type
 */
 
function omcr_create_rent_option() {
	
	$labels = array(
		'name' => __( 'Rent Options','om_car_rental'),
		'singular_name' => __( 'Rent Option','om_car_rental' ),
		'add_new' => __('Add New','om_car_rental'),
		'add_new_item' => __('Add New Rent Option','om_car_rental'),
		'edit_item' => __('Edit Rent Option','om_car_rental'),
		'new_item' => __('New Rent Option','om_car_rental'),
		'view_item' => __('View Rent Option','om_car_rental'),
		'search_items' => __('Search Rent Option','om_car_rental'),
		'not_found' =>  __('No rent options found','om_car_rental'),
		'not_found_in_trash' => __('No rent options found in Trash','om_car_rental'), 
		'parent_item_colon' => ''
	);
	
	$args=array(
		'labels' => $labels,
		'menu_icon' => 'dashicons-editor-ul',
		'public' => true,
		'publicly_queryable' => false,
		'capability_type' => 'post',
		'hierarchical' => false,
		'supports' => array('title','custom-fields','page-attributes'),
		'rewrite' => array('slug'=>'om-rent-option'),
	);

	$args=apply_filters('omcr_rent_option_post_type_args', $args);

	register_post_type( 'om-rent-option', $args );
	
}
add_action( 'init', 'omcr_create_rent_option' );

/**
 *	Rent Options Sort Page
 */

function omcr_rent_options_sort_page_add() {
	$page = add_submenu_page('edit.php?post_type=om-rent-option', __('Sort Rent Options','om_car_rental'), __('Sort Rent Options','om_car_rental'), 'edit_posts', 'rent_options_sort', 'omcr_rent_options_sort_page');
}
add_action('admin_menu', 'omcr_rent_options_sort_page_add');

function omcr_scripts_rent_options_sort($hook) {
	if('om-rent-option_page_rent_options_sort' != $hook) {
		return false;
	}
	
	wp_enqueue_style('nav-menu');
	wp_enqueue_script('omcr-rent-options-sort', $GLOBALS['omCarRentalPlugin']['path_url'] .'assets/js/items-sort.js', array('jquery','jquery-ui-sortable'));
}
add_action('admin_enqueue_scripts', 'omcr_scripts_rent_options_sort');

function omcr_rent_options_sort_page() {
	$query = new WP_Query('post_type=om-rent-option&posts_per_page=-1&orderby=menu_order&order=ASC');
	?>
	<div class="wrap">
		<div id="icon-edit-pages" class="icon32 icon32-posts-page"><br /></div>
		<h2><?php _e('Sort Rent Options', 'om_car_rental'); ?></h2>
		<p><?php _e('Sort rent options by drag-n-drop. Items at the top will appear first.', 'om_car_rental'); ?></p>
	
		<ul id="rent_option_items">
			<?php while( $query->have_posts() ) : $query->the_post(); ?>
				<?php if( get_post_status() == 'publish' ) { ?>
					<li id="<?php the_id(); ?>" class="menu-item">
						<dl class="menu-item-bar">
							<dt class="menu-item-handle">
								<?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id(), 'thumbnail' ); ?>
								<?php echo $thumb ? '<span class="menu-item-thumbnail"><img src="'.$thumb[0].'" alt="" style="max-width:45px;vertical-align:middle;margin-right:10px" /></span>' : '' ?><span class="menu-item-title"><?php the_title(); ?></span>
							</dt>
						</dl>
						<ul class="menu-item-transport"></ul>
					</li>
				<?php } ?>
			<?php endwhile; ?>
		</ul>
	</div>
	<script>
		jQuery(document).ready(function($) {
			omcr_items_sort('#rent_option_items','omcr_rent_options_apply_sort');
		});
	</script>
	<?php wp_reset_postdata(); ?>
	<?php
}

function omcr_rent_options_apply_sort() {
	global $wpdb;
	
	$order = explode(',', $_POST['order']);
	$counter = 0;
	
	foreach($order as $id) {
		$wpdb->update($wpdb->posts, array('menu_order' => $counter), array('ID' => $id));
		$counter++;
	}
	exit();
}
add_action('wp_ajax_omcr_rent_options_apply_sort', 'omcr_rent_options_apply_sort');


