<?php

function wheelsberry_get_car_options($options=false) {
	$options=array(
		'doors' => esc_html__('Doors','wheelsberry'),
		'passengers' => esc_html__('Passengers','wheelsberry'),
		'luggage' => esc_html__('Luggage','wheelsberry'),
		'transmission' => esc_html__('Transmission','wheelsberry'),
		'conditioning' => esc_html__('Air Conditioning','wheelsberry'),
		'age' => esc_html__('Minimum age','wheelsberry'),
		'excess' => esc_html__('Excess Insurance','wheelsberry'),
		'fuel' => esc_html__('Fuel Type','wheelsberry'),
	);
	
	return $options;
}
add_filter('omcr_car_options','wheelsberry_get_car_options');

function wheelsberry_reservation_form_details() {
	if(isset($_POST['form_data'])) {
		$data=stripslashes_deep($_POST['form_data']);
		$data_=array();
		foreach($data as $v) {
			$data_[$v['name']]=$v['value'];
		}
		wheelsberry_tpl_reservation_form_details($data_);
	}
	exit;
}
add_action('wp_ajax_wheelsberry_reservation_form_details', 'wheelsberry_reservation_form_details');
add_action('wp_ajax_nopriv_wheelsberry_reservation_form_details', 'wheelsberry_reservation_form_details');

function wheelsberry_car_meta_boxes($meta_box) {
	$meta_box['car-details']['fields']['omcr_hide_in_slider']=array(
		'name' => esc_html__('Display this car in cars slider','wheelsberry'),
		'desc' => esc_html__('If "hide" chosen, car is listed only in booking form and not visible in cars slider','wheelsberry'),
		'id' => 'omcr_hide_in_slider',
		'type' => 'select',
		'std' => '',
		'options' => array(
			'0' => esc_html__('Display','wheelsberry'),
			'1' => esc_html__('Hide','wheelsberry'),
		),
		'code' => '<script>
			jQuery(function($){
				$("#omcr_hide_in_slider").on("change", function(){
					if($(this).val() == "1") {
						$("#omcr_custom_link").parents("tr").hide();
						$("#omcr_custom_link_target").parents("tr").hide();
					} else  {
						$("#omcr_custom_link").trigger("change").parents("tr").show();
					}
				}).change();
			});
		</script>',
	);
	$meta_box['car-details']['fields']['omcr_custom_link']=array(
		'name' => esc_html__('Custom link from "Reserve Now" button','wheelsberry'),
		'desc' => esc_html__('By default click on "Reserve Now" button in cars slider expands booking form, you can attach custom link using this field','wheelsberry'),
		'id' => 'omcr_custom_link',
		'type' => 'text',
		'std' => '',
		'code' => '<script>
			jQuery(function($){
				$("#omcr_custom_link").on("change keyup", function(){
					if($(this).val() == "") {
						$("#omcr_custom_link_target").parents("tr").hide();
					} else  {
						$("#omcr_custom_link_target").parents("tr").show();
					}
				}).change();
			});
		</script>',
	);
	$meta_box['car-details']['fields']['omcr_custom_link_target']=array(
		'name' => esc_html__('Custom link target','wheelsberry'),
		'desc' => '',
		'id' => 'omcr_custom_link_target',
		'type' => 'select',
		'std' => '_self',
		'options' => array(
			'_self' => esc_html__('Same window', 'wheelsberry'),
			'_blank' => esc_html__('New window', 'wheelsberry'),
		),
	);

	if(get_option('omcr_car_single_page') == 'true' && function_exists('wheelsberry_add_common_meta_boxes')) {
		wheelsberry_add_common_meta_boxes($meta_box, array('reservation', 'sidebar'), 'om-page-meta-box-');
		unset($meta_box['reservation']['fields']['cars_slider']);
		unset($meta_box['reservation']['fields']['cars_slider_title']);
		unset($meta_box['reservation']['fields']['cars_slider_subtitle']);
		unset($meta_box['reservation']['fields']['reservation_form']['options']['short']);
	}

	return $meta_box;
}
add_filter('omcr_car_meta_box', 'wheelsberry_car_meta_boxes');

function wheelsberry_omcr_car_general_settings($settings){

	if(isset($GLOBALS['omCarRentalPlugin']) && version_compare($GLOBALS['omCarRentalPlugin']['version'], '1.1.1', '>=')) {
		$time_options = array();
		$time_format  = get_option( 'time_format' );
		for ( $i = 0; $i <= 85500; $i += 900 ) {
			$time = date( $time_format, $i );
			$time_options[ $i ] = esc_attr( $time );
		}

		$settings = array_merge( $settings, array(
			'car_booking_custom_location'       => array(
				'name'    => esc_html__( 'Custom location in pick-up/drop-off fields', 'wheelsberry' ),
				'desc'    => esc_html__( 'Option lets you to add text input for custom location into drop down list with locations', 'wheelsberry' ),
				'id'      => 'omcr_booking_custom_location',
				'std'     => 'none',
				'options' => array(
					'none' => esc_html__( 'No custom location, only drop down list with created locations', 'wheelsberry' ),
					'add'  => esc_html__( 'Add custom location option into drop down list with created locations', 'wheelsberry' ),
					'only' => esc_html__( 'Do not display drop down list, only text input for custom location', 'wheelsberry' ),
				),
				'type'    => 'select',
				'code'    => '<script>
							jQuery(function($){
								$("#omcr_booking_custom_location").on("change", function(){
									if($(this).val() == "add") {
										$("#omcr_booking_custom_location_label").parents("tr").show();
									} else  {
										$("#omcr_booking_custom_location_label").parents("tr").hide();
									}
								}).change();
							});
						</script>',
			),
			'car_booking_custom_location_label' => array(
				'name' => esc_html__( 'Custom location label', 'wheelsberry' ),
				'desc' => '',
				'id'   => 'omcr_booking_custom_location_label',
				'std'  => esc_html__( 'Custom location', 'wheelsberry' ),
				'type' => 'text',
			),

			'car_booking_time_from' => array(
				'name'    => esc_html__( 'Pick-up/drop-off possible "from" time', 'wheelsberry' ),
				'desc'    => '',
				'id'      => 'omcr_booking_time_from',
				'std'     => '0',
				'type'    => 'select',
				'options' => $time_options,
			),

			'car_booking_time_to' => array(
				'name'    => esc_html__( 'Pick-up/drop-off possible "to" time ', 'wheelsberry' ),
				'desc'    => '',
				'id'      => 'omcr_booking_time_to',
				'std'     => '85500',
				'type'    => 'select',
				'options' => $time_options,
			),

			'car_booking_time_default' => array(
				'name'    => esc_html__( 'Pick-up/drop-off time set by default', 'wheelsberry' ),
				'desc'    => '',
				'id'      => 'omcr_booking_time_default',
				'std'     => '43200',
				'type'    => 'select',
				'options' => $time_options,
			),

			'car_single_page'       => array(
				'name'    => esc_html__( 'Single car page', 'wheelsberry' ),
				'desc'    => esc_html__( 'If you need to have single page for each car on your site, enable this option.', 'wheelsberry' ),
				'id'      => 'omcr_car_single_page',
				'std'     => 'false',
				'options' => array(
					'false' => esc_html__( 'Disabled', 'wheelsberry' ),
					'true'  => esc_html__( 'Enabled', 'wheelsberry' ),
				),
				'type'    => 'select',
			),

		) );
	}

	return $settings;
}
add_filter('omcr_car_general_settings', 'wheelsberry_omcr_car_general_settings');

function wheelsberry_omcr_rent_option_meta_box($meta_box) {

	$meta_box['car-details']['fields']['omcr_rent_option_description']=array(
		'name' => esc_html__('Rent option description (optional)','wheelsberry'),
		'desc' => esc_html__('This description will be displayed by click on (?) symbol next to option name','wheelsberry'),
		'id' => 'omcr_rent_option_description',
		'type' => 'textarea',
		'std' => '',
	);

	return $meta_box;
}
add_filter('omcr_rent_option_meta_box', 'wheelsberry_omcr_rent_option_meta_box');

function wheelsberry_omcr_car_post_type_args($args) {
	if(get_option('omcr_car_single_page') == 'true') {
		$args['publicly_queryable'] = true;
		$args['supports'][] = 'editor';
		$args['rewrite']['slug'] = 'car';
	}

	return $args;
}
add_filter('omcr_car_post_type_args', 'wheelsberry_omcr_car_post_type_args');

function wheelsberry_car_single_page_option_update($old_value, $value) {
	if($old_value != $value) {
		update_option('wheelsberry_flush_rewrite_rules', true);
	}
}
add_action( 'update_option_omcr_car_single_page', 'wheelsberry_car_single_page_option_update', 10, 2 );

function wheelsberry_flush_rewrite_rules(){
	if(get_option('wheelsberry_flush_rewrite_rules')) {
		flush_rewrite_rules();
		update_option('wheelsberry_flush_rewrite_rules', false);
	}
}
add_action('init', 'wheelsberry_flush_rewrite_rules', 11);