<?php

/**
 * Comment form
 */
 
function wheelsberry_comment_form_before() {
	echo '<div class="new-comment"><div class="new-comment-pane">';
}
add_action('comment_form_before','wheelsberry_comment_form_before');

function wheelsberry_comment_form_after() {
	echo '</div></div>';
}
add_action('comment_form_after','wheelsberry_comment_form_after');

function wheelsberry_comment_form_logged_in($str) {
	return $str;
}
add_filter('comment_form_logged_in','wheelsberry_comment_form_logged_in');

function wheelsberry_comment_form_default_fields($fields) {

	$req = get_option( 'require_name_email' );
	$commenter = wp_get_current_commenter();
	
	$fields =  array(
		'author' => '
			<div class="comment-form-field comment-form-author">
				<input type="text" name="author" id="author" value="' . esc_attr( $commenter['comment_author'] ) . '" tabindex="1" placeholder="'. esc_attr(esc_html__('Name', 'wheelsberry')) . ($req ? esc_attr(esc_html__("*", 'wheelsberry')) : '' ).'"'. ($req ? ' class="required"':'').' />
			</div>
		',
		
		'email'  => '
			<div class="comment-form-field comment-form-email">
				<input type="text" name="email" id="email" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" tabindex="2" placeholder="'. esc_attr(esc_html__('Email', 'wheelsberry')) . ($req ? esc_attr(esc_html__("*", 'wheelsberry')) : '' ).'"'. ($req ? ' class="required email"':'').' />
			</div>
		',
		
		'url'    => '
			<div class="comment-form-field comment-form-url">
				<input type="text" name="url" id="url" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="22" tabindex="3" placeholder="' . esc_attr(esc_html__('Website', 'wheelsberry')) . '" />
			</div>
		',
	);
		
	return $fields;
}
add_filter('comment_form_default_fields','wheelsberry_comment_form_default_fields');

function wheelsberry_comment_form_before_fields() {
	echo '<div class="comment-form-fields">';
}
add_action('comment_form_before_fields','wheelsberry_comment_form_before_fields');

function wheelsberry_comment_form_after_fields() {
	echo '</div>';
}
add_action('comment_form_after_fields','wheelsberry_comment_form_after_fields');

/**
 * Comments
 */

if( !function_exists( 'wheelsberry_comment' ) ) {
	
	function wheelsberry_comment($comment, $args, $depth) {
		
		$GLOBALS['comment'] = $comment;
		$avatar_safe=get_avatar( $comment->comment_author_email, 100 );
		?>
		<div class="comment" id="comment-<?php comment_ID() ?>">
			<div class="comment-inner clearfix-a depth-<?php echo esc_attr($depth); if($avatar_safe) echo ' with-avatar' ?>" id="comment-inner-<?php comment_ID(); ?>">
				<?php if($avatar_safe) { ?>
					<div class="comment-pic">
						<div class="pic-inner">
							<?php echo $avatar_safe; ?>
						</div>
					</div>
				<?php } ?>
				<div class="comment-meta">
					<div class="author"><cite class="fn"><?php comment_author_link() ?></cite></div>
					<div class="date"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(esc_html__('%1$s at %2$s','wheelsberry'), get_comment_date(),  get_comment_time()) ?></a></div>
					<?php
						$reply=get_comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
						$reply=preg_replace('#<a([^>]*)>([\s\S]*)</a>#','<a$1><span>$2</span></a>',$reply);
						if($reply) {
							echo '<div class="reply">'.$reply.'</div>';
						}
					?>
					<?php edit_comment_link(esc_html__('(Edit)','wheelsberry'),'<div class="edit">','</div>') ?>
				</div>
				<div class="comment-text clearfix-a">
					<div class="text">
						<?php if ($comment->comment_approved == '0') : ?>
						   <p><em><?php esc_html_e('Your comment is awaiting moderation.','wheelsberry') ?></em></p>
						<?php endif; ?>
						<?php comment_text() ?>
					</div>
				</div>
			</div>
		<?php
	}
}

if( !function_exists( 'wheelsberry_pings_list' ) ) {
	function wheelsberry_pings_list($comment, $args, $depth) {
		
	  $GLOBALS['comment'] = $comment;
	  
	  ?><div id="comment-<?php comment_ID(); ?>"><?php comment_author_link();
	  
	}
}

?>