<?php

if(!function_exists('wheelsberry_add_common_meta_boxes')) {
	function wheelsberry_add_common_meta_boxes(&$arr, $boxes, $prefix) {

		$cf7forms=get_posts(array('post_type' => 'wpcf7_contact_form', 'posts_per_page' => -1));
		$cf7forms_options=array('0' => esc_html__('Choose a form', 'wheelsberry'));
		if($cf7forms){
			foreach($cf7forms as $cf7form){
				$cf7forms_options[$cf7form->ID]=$cf7form->post_title;
			}
		}
			
		$meta_boxes = array (
		
			'pagetitle' => array (
				'id' => 'pagetitle',
				'name' => esc_html__('Page Title', 'wheelsberry'),
				'fields' => array (
					array ( "name" => esc_html__('Page title layout','wheelsberry'),
							"desc" => '',
							"id" => "wheelsberry_page_title",
							"type" => "select",
							"std" => '',
							'options' => array(
								'' => esc_html__('Default (as set in Theme Options)', 'wheelsberry'),
								'standard' => esc_html__('Standard', 'wheelsberry'),
								'hide' => esc_html__('Hide', 'wheelsberry'),
							),
					),
					
					array ( "name" => esc_html__('Title align','wheelsberry'),
							"desc" => '',
							"id" => "wheelsberry_title_align",
							"type" => "select",
							"std" => '',
							'options' => array(
								'' => esc_html__('Left', 'wheelsberry'),
								'center' => esc_html__('Center', 'wheelsberry'),
								'right' => esc_html__('Right', 'wheelsberry'),
							),
							'dependency' => array(
								'id'    => 'wheelsberry_page_title',
								'mode'  => 'value',
								'value' => 'standard',
							),
					),
					
					array ( "name" => esc_html__('Subtitle text','wheelsberry'),
							"desc" => esc_html__('Additional text string below the page title','wheelsberry'),
							"id" => "wheelsberry_title_subtitle",
							"type" => "text",
							"std" => '',
							'dependency' => array(
								'id'    => 'wheelsberry_page_title',
								'mode'  => 'value',
								'value' => array('', 'standard'),
							),
					),
					
				),
			),
			
			'reservation' => array (
				'id' => 'reservation',
				'name' => esc_html__('Car Reservation', 'wheelsberry'),
				'fields' => array (

					'cars_slider' => array ( "name" => esc_html__('Display cars slider','wheelsberry'),
							"desc" => '',
							"id" => "wheelsberry_cars_slider",
							"type" => "select",
							"std" => '0',
							'options' => array(
								'0' => esc_html__('Do not display', 'wheelsberry'),
								'1' => esc_html__('Yes, please', 'wheelsberry'),
							),
					),

					'cars_slider_autoplay' => array ( "name" => esc_html__('Slider Autoplay','wheelsberry'),
					                         "desc" => '',
					                         "id" => "wheelsberry_cars_slider_autoplay",
					                         "type" => "select",
					                         "std" => '0',
					                         'options' => array(
						                         '0' => esc_html__('No autoplay', 'wheelsberry'),
						                         '1' => esc_html__('Autoplay with pause on hover', 'wheelsberry'),
						                         '2' => esc_html__('Autoplay without pause on hover', 'wheelsberry'),
					                         ),
					),

					'cars_slider_autoplay_interval' => array ( "name" => esc_html__('Autoplay interval (seconds)','wheelsberry'),
					                               "desc" => '',
					                               "id" => "wheelsberry_cars_slider_autoplay_interval",
					                               "type" => "text",
					                               "std" => '7',
					                               'dependency' => array(
						                               'id'    => 'wheelsberry_cars_slider_autoplay',
						                               'mode'  => 'value',
						                               'value' => array('1','2'),
					                               ),
					),

					'cars_slider_title' => array ( "name" => esc_html__('Slider title','wheelsberry'),
							"desc" => '',
							"id" => "wheelsberry_cars_slider_title",
							"type" => "text",
							"std" => '',
							'dependency' => array(
								'id'    => 'wheelsberry_cars_slider',
								'mode'  => 'value',
								'value' => '1',
							),
					),

					'cars_slider_subtitle' => array ( "name" => esc_html__('Slider subtitle','wheelsberry'),
							"desc" => '',
							"id" => "wheelsberry_cars_slider_subtitle",
							"type" => "text",
							"std" => '',
							'dependency' => array(
								'id'    => 'wheelsberry_cars_slider',
								'mode'  => 'value',
								'value' => '1',
							),
					),

					'reservation_cf7_form' => array ( "name" => esc_html__('Booking form','wheelsberry'),
							"desc" => esc_html__('Choose Contact Form 7 plugin`s form','wheelsberry'),
							"id" => "wheelsberry_reservation_cf7_form",
							"type" => "select",
							"std" => '',
							'options' => $cf7forms_options,
					),

					'reservation_form' => array ( "name" => esc_html__('Display car reservation form','wheelsberry'),
							"desc" => esc_html__('Display car reservation form','wheelsberry'),
							"id" => "wheelsberry_reservation_form",
							"type" => "select",
							"std" => '0',
							'options' => array(
								'0' => esc_html__('Do not display', 'wheelsberry'),
								'short' => esc_html__('Short form', 'wheelsberry'),
								'full' => esc_html__('Full form', 'wheelsberry'),
							),
							'dependency' => array(
								'id'    => 'wheelsberry_reservation_cf7_form',
								'mode'  => 'not_empty',
							),
					),

					'reservation_form_title' => array ( "name" => esc_html__('Form title','wheelsberry'),
							"desc" => '',
							"id" => "wheelsberry_reservation_form_title",
							"type" => "text",
							"std" => '',
							'dependency' => array(
								'id'    => 'wheelsberry_reservation_cf7_form',
								'mode'  => 'not_empty',
							),
					),

					'reservation_form_subtitle' => array ( "name" => esc_html__('Form subtitle','wheelsberry'),
							"desc" => '',
							"id" => "wheelsberry_reservation_form_subtitle",
							"type" => "text",
							"std" => '',
							'dependency' => array(
								'id'    => 'wheelsberry_reservation_cf7_form',
								'mode'  => 'not_empty',
							),
					),

				),
				
			),
			
			'slider' => array (
				'id' => 'slider',
				'name' => esc_html__('Slider', 'wheelsberry'),
				'fields' => array (
		
					array (
						'name' => esc_html__('Choose a slider','wheelsberry'),
						'desc' => '',
						'id' => 'wheelsberry_slider_id',
						'type' => 'slider',
						'std' => '',
					),
		
					array ( "name" => esc_html__('Slider position','wheelsberry'),
							"desc" => '',
							"id" => "wheelsberry_slider_layout",
							"type" => "select",
							"std" => 'above',
							'options' => array(
								'above' => esc_html__('Above reservation form (if displayed)', 'wheelsberry'),
								'below' => esc_html__('Below reservation form (if displayed)', 'wheelsberry'),
							),
							'dependency' => array(
								'id'    => 'wheelsberry_slider_id',
								'mode'  => 'not_empty',
							),
					),
					
				),
				
			),
			
			'sidebar' => array (
				'id' => 'sidebar',
				'name' => esc_html__('Sidebar', 'wheelsberry'),
				'fields' => array (
					array ( "name" => esc_html__('Sidebar','wheelsberry'),
							"desc" => '',
							"id" => "wheelsberry_sidebar_show",
							"type" => "select",
							"std" => 'display',
							'options' => array(
								'display' => esc_html__('Display Sidebar', 'wheelsberry'),
								'hide' => esc_html__('Hide Sidebar', 'wheelsberry'),
							),
					),
		
					array (
						'name' => esc_html__('Choose the sidebar','wheelsberry'),
						'desc' => esc_html__('You can create any number of sidebars under "Appearance > Sidebars".','wheelsberry'),
						'id' => 'wheelsberry_sidebar',
						'type' => 'sidebar',
						'std' => '',
						'dependency' => array(
							'id'    => 'wheelsberry_sidebar_show',
							'mode'  => 'value',
							'value' => 'display',
						),
					),
		
					array ( "name" => esc_html__('Sidebar Position','wheelsberry'),
							"desc" => esc_html__('Sidebar position for current page.','wheelsberry'),
							"id" => "wheelsberry_sidebar_custom_pos",
							"type" => "select",
							"std" => '',
							'options' => array(
								'' => esc_html__('Default (As set in "Theme Options")', 'wheelsberry'),
								'left' => esc_html__('Left Side', 'wheelsberry'),
								'right' => esc_html__('Right Side', 'wheelsberry'),
							),
							'dependency' => array(
								'id'    => 'wheelsberry_sidebar_show',
								'mode'  => 'value',
								'value' => 'display',
							),
					),
				),
			),
			
		);
		
		foreach($boxes as $id) {
			
			if( isset($meta_boxes[$id]) ) {
				
				if($id == 'slider') {
					if( ! omfw_Framework::is_slider_active() ) {
						continue;
					} 
				}	elseif($id == 'reservation') {
					if( ! isset($GLOBALS['omCarRentalPlugin']) ) {
						continue;
					} 
				}

				$arr[$id]=$meta_boxes[$id];
				$arr[$id]['id']=$prefix.$arr[$id]['id'];

			}
			
		}
		
	}
}
