<?php

omfw_Framework::demo_import(array(
	array(
		'slug' => 'default',
		'name' => esc_html__('Default Demo','wheelsberry'),
		'demo_content_path' => WHEELSBERRY_TEMPLATE_DIR . '/demo-content/',
		'wordpress_xml' => 'wordpress.xml',
		'theme_options_dat' => 'theme_options.dat',
		'widgets_dat' => 'widgets.wie',
		'layer_slider_dat' => false, //'LayerSlider.json',
		'layer_slider_uploads_replace' => array(),
		'rev_slider_dat' => array(
			//'primary-slider.zip',
		),
		'uploads_replace_dir' => 'http://demo.olevmedia.net/wheelsberry/wp-content/uploads',
		'options_var_to_replace' => array(
			'wheelsberry_site_logo_image',
			'wheelsberry_site_logo_image_2x',
			'wheelsberry_footer_background_img',
		),
		'widgets_var_to_replace' => array( // fields in widgets to replace upload dir: array( array('sidebar' => '', 'widget_key' => '', 'widget_field' => ''), ... )
		),
		'menus' => array( // pair "Menu Name" => "Location"
			'Primary menu' => 'primary-menu',
		),
		'reading' => array(
			'front_page_title' => 'Homepage',
			'posts_page_title' => '',
		),
		'menu_add_meta' => array(
			'_menu_item_om_hash',
		),
	),
));

add_action('omfw_demo_import_default_completed', 'wheelsberry_demo_import_default_completed');

function wheelsberry_demo_import_default_completed() {

	$from_email=strtolower($_SERVER['SERVER_NAME']);
	if(substr($from_email,0,4)=='www.') {
		$from_email=substr($from_email,4);
	}
	$from_email='wordpress@'.$from_email;
	$admin_email=get_option('admin_email');

	$booking_form=get_page_by_title('Booking Form', 'OBJECT', 'wpcf7_contact_form');
	if($booking_form) {
		$posts=get_posts(array(
			'post_type' => array( 'post', 'page' ),
			'posts_per_page' => -1,
			'meta_key' => 'wheelsberry_reservation_cf7_form',
			'meta_value' => '4',
		));
		foreach($posts as $post) {
			update_post_meta($post->ID, 'wheelsberry_reservation_cf7_form', $booking_form->ID);
		}

		//
		$mail=get_post_meta($booking_form->ID,'_mail',true);
		if(is_array($mail)) {
			if(isset($mail['sender'])) {
				$mail['sender']=str_replace('wordpress@demo.olevmedia.net',$from_email,$mail['sender']);
			}
			if(isset($mail['recipient'])) {
				$mail['recipient']=$admin_email;
			}
			update_post_meta($booking_form->ID,'_mail',$mail);
		}
	}

	$contact_form=get_page_by_title('Contact Form', 'OBJECT', 'wpcf7_contact_form');
	if($contact_form) {
		$option=get_option('widget_wheelsberry_widget_cf7');
		if(is_array($option)) {
			foreach($option as $k=>$v) {
				if(isset($v['form_id']) && $v['form_id'] == 80) {
					$option[$k]['form_id']=$contact_form->ID;
				}
			}
		}
		update_option('widget_wheelsberry_widget_cf7',$option);

		//
		$mail=get_post_meta($contact_form->ID,'_mail',true);
		if(is_array($mail)) {
			if(isset($mail['sender'])) {
				$mail['sender']=str_replace('wordpress@demo.olevmedia.net',$from_email,$mail['sender']);
			}
			if(isset($mail['recipient'])) {
				$mail['recipient']=$admin_email;
			}
			update_post_meta($contact_form->ID,'_mail',$mail);
		}
	}		
	
}