<?php

omfw_Framework::live_customizer('wheelsberry_customize_register');

if(!function_exists('wheelsberry_customize_register')) {
	function wheelsberry_customize_register( $wp_customize, $omfw_customize ) {
	
		require_once (WHEELSBERRY_TEMPLATE_DIR . '/functions/theme-options-fields.php'); // wheelsberry_get_theme_options function inside
	
		$theme_options=wheelsberry_get_theme_options(array('id_as_key'=>true));
	
		/***********/
		
		$wp_customize->add_section('options_notice', array(
			'title' => esc_html__('More Options','wheelsberry'),
			'priority'   => 1000,
			'description' => sprintf(esc_html__('For more options see %s section','wheelsberry'), '<a href="'.esc_url(omfw_Framework::theme_options_url()).'">'.esc_html__('Theme Options', 'wheelsberry').'</a>'),
		));
		
		$wp_customize->add_setting( 'options_notice', array(
			'sanitize_callback' => 'sanitize_text_field',
		));
		$wp_customize->add_control(new omfw_Customize_Notice_Control( // adds a blank option to make section appear
			$wp_customize,
			'options_notice',
			array(
				'label'          => '',
				'section'        => 'options_notice',
				'settings'       => 'options_notice',
				'type'           => 'notice',
			)
		));
		
		/***********/
		/*
		$wp_customize->add_section('layout', array(
			'title' => esc_html__('Layout','wheelsberry'),
			'priority'   => 30,
		));
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_overall_layout'), array(
			'section' => 'layout',
		));
		*/
		
		/***********/
	
		$wp_customize->add_section('bg_img', array(
			'title' => esc_html__('Background','wheelsberry'),
			'priority'   => 31,
		));
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_background_color'), array(
			'section' => 'bg_img',
		));
			
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_background_img'), array(
			'section' => 'bg_img',
		));
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_background_pos'), array(
			'section' => 'bg_img',
		));
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_background_attach'), array(
			'section' => 'bg_img',
		));
			
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_background_overlay'), array(
			'section' => 'bg_img',
		));
					
					
		/***********/
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_accent_color'), array(
			'section' => 'colors',
		));
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_accent_color2'), array(
			'section' => 'colors',
		));
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_header_bg_color'), array(
			'section' => 'colors',
		));
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_header_text_color'), array(
			'section' => 'colors',
		));
	
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_menu_items_color'), array(
			'section' => 'colors',
		));
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_menu_items_color_hover'), array(
			'section' => 'colors',
		));	
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_menu_active_item_color'), array(
			'section' => 'colors',
		));	
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_menu_sub_items_color'), array(
			'section' => 'colors',
		));	
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_menu_sub_items_color_hover'), array(
			'section' => 'colors',
		));	
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_menu_sub_items_bg_color'), array(
			'section' => 'colors',
		));	
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_cars_slider_bg'), array(
			'section' => 'colors',
		));	
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_cars_slider_text_color'), array(
			'section' => 'colors',
		));	
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_background_main_content_color'), array(
			'section' => 'colors',
		));	
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_main_text_color'), array(
			'section' => 'colors',
		));	
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_side_text_color'), array(
			'section' => 'colors',
		));	
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_buttons_color'), array(
			'section' => 'colors',
		));	
		
		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_footer_background_color'), array(
			'section' => 'colors',
		));

		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_footer_background_img'), array(
			'section' => 'colors',
		));

		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_footer_background_pos'), array(
			'section' => 'colors',
		));

		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_footer_background_attach'), array(
			'section' => 'colors',
		));
	
			$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_footer_main_text_color'), array(
			'section' => 'colors',
		));

		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_footer_side_text_color'), array(
			'section' => 'colors',
		));

		$omfw_customize->add_as_theme_option(omfw_Framework::arr_get($theme_options,'wheelsberry_sub_footer_text_color'), array(
			'section' => 'colors',
		));

		/***********/
		
		$omfw_customize->append_dependencies();
	}
}




