<?php

if ( defined( 'WPB_VC_VERSION' ) && version_compare(WPB_VC_VERSION, '6.0.3', '>') ) {
	function om_show_js_composer_version_notice() {
		echo '<div id="message" class="error"><p><strong>'.esc_html__('Version of Visual Composer plugin installed on your WordPress is not yet tested with the current Theme version. Please, remove Visual Composer plugin and install one provided with the Theme (Appearance > Install Plugins).','wheelsberry').'</strong></p></div>';
	}
	add_action('admin_notices', 'om_show_js_composer_version_notice');
}

omfw_Framework::plugins(array(

	// Visual Composer
	array(
		'name'     				=> esc_html__('WPBakery Page Builder', 'wheelsberry'), // The plugin name
		'slug'     				=> 'js_composer', // The plugin slug (typically the folder name)
		'source'   				=> WHEELSBERRY_TEMPLATE_DIR . '/plugins/js_composer.zip', // The plugin source
		'required' 				=> true, // If false, the plugin is only 'recommended' instead of required
		'version' 				=> '6.0.3', // E.g. 1.0.0. If set, the active plugin must be this version or higher. If the plugin version is higher than the plugin version installed, the user will be notified to update the plugin.
		'force_activation' 		=> false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
		'force_deactivation' 	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
		'external_url' 			=> '', // If set, overrides default API URL and points to an external URL
		'is_callable'           => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
	),

	// Car rental
	array(
		'name'     				=> esc_html__('Olevmedia Car Rental', 'wheelsberry'), // The plugin name
		'slug'     				=> 'olevmedia-car-rental', // The plugin slug (typically the folder name)
		'source'   				=> WHEELSBERRY_TEMPLATE_DIR . '/plugins/olevmedia-car-rental.zip', // The plugin source
		'required' 				=> true, // If false, the plugin is only 'recommended' instead of required
		'version' 				=> '1.1.1', // E.g. 1.0.0. If set, the active plugin must be this version or higher. If the plugin version is higher than the plugin version installed, the user will be notified to update the plugin.
		'force_activation' 		=> false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
		'force_deactivation' 	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
		'external_url' 			=> '', // If set, overrides default API URL and points to an external URL
		'is_callable'           => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
	),

	// This is an example of how to include a plugin from the WordPress Plugin Repository.
	array(
		'name'      => esc_html__('Contact Form 7', 'wheelsberry'),
		'slug'      => 'contact-form-7',
		'required'  => true,
	),

	// Envato Market WordPress Plugin
	array(
		'name'     				=> 'Envato Market', // The plugin name
		'slug'     				=> 'envato-market', // The plugin slug (typically the folder name)
		'source'   				=> 'https://envato.github.io/wp-envato-market/dist/envato-market.zip', // The plugin source
		'required' 				=> false, // If false, the plugin is only 'recommended' instead of required
	),
		
));