<?php

$font_options=array(
	'wheelsberry_base_font',
	'wheelsberry_sec_font',
	'wheelsberry_subheaders_font',
	'wheelsberry_menu_font',
);
if(get_option( 'wheelsberry_site_logo_type' ) == 'text') {
	$font_options[]='wheelsberry_logo_font';
}

omfw_Framework::styling('wheelsberry_get_theme_styling', array(
	'font_options' => $font_options,
	'use_inline_callback' => 'wheelsberry_if_custom_styling_inline',
	'primary_style_handler' => 'wheelsberry-style',
));

if( !function_exists( 'wheelsberry_if_custom_styling_inline' ) ) {
	function wheelsberry_if_custom_styling_inline() {
		return (get_option('wheelsberry_use_inline_css') == 'true');
	}
}

if( !function_exists( 'wheelsberry_get_theme_styling' ) ) {
	function wheelsberry_get_theme_styling() {
		
		/**
		 * Fonts
		 */
		 
		ob_start();
		
		// Base font

		$base_font=get_option('wheelsberry_base_font');

		if(isset($base_font['type'])) {
			$base_font_f=$base_font[$base_font['type']]['family'];
			
			$base_weight_normal=400;
			$base_weight_semibold=400;
			$base_weight_bold=700;
			if($base_font['type'] == 'google') {
				if(isset($base_font['google']['weight_normal']))
					$base_weight_normal=$base_font['google']['weight_normal'];
				if(isset($base_font['google']['weight_bold']))
					$base_weight_bold=$base_font['google']['weight_bold'];
				if(isset($base_font['google']['weight_semibold']))
					$base_weight_semibold=$base_font['google']['weight_semibold'];
			}

			if($base_font_f) {
				echo '
					body,
					input,
					textarea,
					select,
					{font-family:'.$base_font_f.'}';
					
				if($base_weight_normal != 400) {
					echo '
						body,
						input,
						textarea,
						select,
						{font-weight:'.$base_weight_normal.'}';
				}
				if($base_weight_semibold != 400) {
					echo '
						.om-services__description,
						.om-about__description,
						.om-testimonials__content,
						{font-weight:'.$base_weight_semibold.'}';
				}
				if($base_weight_bold != 700) {
					echo '
						b, strong, dt,
						.comment-meta .author,
						th,
						.om-testimonials__author,
						#wp-calendar a,
						.your-booking__car-price,
						.wpcf7-form-elements label,
						{font-weight:'.$base_weight_bold.'}';
				}
			}
		}
		
		// Highlight font
		
		$sec_font=get_option('wheelsberry_sec_font');

		if(isset($sec_font['type'])) {
			$sec_font_f=@$sec_font[@$sec_font['type']]['family'];

			$sec_weight_normal=400;
			$sec_weight_bold=700;
			if(@$sec_font['type'] == 'google') {
				if(isset($sec_font['google']['weight_normal']))
					$sec_weight_normal=$sec_font['google']['weight_normal'];
				if(isset($sec_font['google']['weight_bold']))
					$sec_weight_bold=$sec_font['google']['weight_bold'];
			}
			
			if($sec_font_f) {
				
				echo '
					h1,h2,h3,h4,h5,h6,
					.om-about__counter-value,
					.om-about__counter-title,
					.footer-widget-title,
					.sidebar-widget-title,
					.read-more-link,
					.navigation-pages,
					.navigation-prev-next,
					input[type=button],
					input[type=submit],
					input[type=reset],
					.cars-slider__item-price-value,
					.cars-slider__item-reserve-button,
					.reservation-form__label,
					.reservation-form__car-select-label,
					body.om-wpb .vc_tta-title-text,
					.om-wpb .vc_btn3,
					{font-family:'.$sec_font_f.'}';
				
				if($sec_weight_normal != 400) {
					echo '
						.read-more-link,
						.navigation-pages,
						.navigation-prev-next,
						input[type=button],
						input[type=submit],
						input[type=reset],
						.cars-slider__item-price-value,
						.om-wpb .vc_btn3,
						{font-weight:'.$base_weight_normal.'}';
				}	
				
				if($sec_weight_bold != 700) {
					echo '
						h1,h2,h3,h4,h5,h6,
						.om-about__counter-value,
						.om-about__counter-title,
						.footer-widget-title,
						.sidebar-widget-title,
						.cars-slider__item-reserve-button,
						.reservation-form__label,
						.reservation-form__car-select-label,
						body.om-wpb .vc_tta-title-text,
						{font-weight:'.$sec_weight_bold.'}';
				}
				
			}
		}
		
		// Subheaders font
		
		$subh_font=get_option('wheelsberry_subheaders_font');

		if(isset($subh_font['type'])) {
			$subh_font_f=@$subh_font[@$subh_font['type']]['family'];

			$subh_weight_normal=400;
			$subh_weight_bold=700;
			if(@$subh_font['type'] == 'google') {
				if(isset($subh_font['google']['weight_normal']))
					$subh_weight_normal=$subh_font['google']['weight_normal'];
				if(isset($subh_font['google']['weight_bold']))
					$subh_weight_bold=$subh_font['google']['weight_bold'];
			}
			
			if($subh_font_f) {
				
				echo '
					.breadcrumbs,
					.page-title-subtitle,
					.vc_custom_heading__additional,
					.post-meta,
					.h-subtitle,
					.cars-slider__item-category,
					.your-booking__car-category,
					{font-family:'.$subh_font_f.'}';
				
				
				if($subh_weight_normal != 400) {
					echo '
					.breadcrumbs,
					.page-title-subtitle,
					.vc_custom_heading__additional,
					.post-meta,
					.h-subtitle,
					.cars-slider__item-category,
					.your-booking__car-category,
					{font-weight:'.$subh_weight_normal.'}';
				}

/*
				if($subh_weight_bold != 700) {
					echo '
						{font-weight:'.$subh_weight_bold.'}';
				}
*/
				
			}
		}
		
		// Logo font
		
		if(get_option( 'wheelsberry_site_logo_type' ) == 'text') {
			
			$font=get_option('wheelsberry_logo_font');
	
			if(isset($font['type'])) {
				$font_f=$font[$font['type']]['family'];				
			
				$weight_bold=700;
				if($font['type'] == 'google') {
					if(isset($font['google']['weight_bold']))
						$weight_bold=$font['google']['weight_bold'];
				}
				
				if($font_f) {
					echo '
						.header__logo
						{font-family:'.$font_f;
					if($weight_bold != 700) {
						echo ';font-weight:'.$weight_bold;
					}
					echo '}';
	
				}
			}
			
		}

		// Menu font
		
		$font=get_option('wheelsberry_menu_font');

		if(isset($font['type'])) {
			$font_f=$font[$font['type']]['family'];				
		
			$weight_normal=400;
			$weight_bold=700;
			if($font['type'] == 'google') {
				if(isset($font['google']['weight_normal']))
					$weight_normal=$font['google']['weight_normal'];
				if(isset($font['google']['weight_bold']))
					$weight_bold=$font['google']['weight_bold'];
			}
			
			if($font_f) {
				echo '
					.primary-menu,
					.primary-mobile-menu,
					.header-wpml-selector #lang_sel,
					.header-wpml-selector #lang_sel_click,
					{font-family:'.$font_f;
				if($weight_normal != 400) {
					echo ';font-weight:'.$weight_normal;
				}
				echo '}';
				
				if($weight_bold != 700) {
					echo '
						.header__menu--root-items-bold .primary-menu > li > a,
						.header__menu--root-items-bold .primary-mobile-menu > li > a,
						{font-weight:'.$weight_bold.'}';
				}				

			}
		}
		
		/* Font scale */
		
		$font_scale=intval(get_option('wheelsberry_font_scale'));
		if(!$font_scale)
			$font_scale=100;
		if($font_scale != 100) {
			$font_scale/=100;
			
			echo 'body{font-size:'.round(14*$font_scale).'px}';
		}
		
		$line_height=floatval(get_option('wheelsberry_line_height'));
		if($line_height) {
			echo '
				body,
				{line-height:'.$line_height.'}
			';

			echo '
				h1,h2,h3,h4,h5,h6,
				.footer-widget-title,
				.sidebar-widget-title,
				{line-height:'.($line_height*0.75).'}
			';
			
		}
		
		/* Letter spacing */
		
		$letter_spacing=floatval(get_option('wheelsberry_letter_spacing'));
		if($letter_spacing != 0) {
			echo '
				h1,h2,h3,h4,h5,h6,
				.footer-widget-title,
				.sidebar-widget-title,
				{letter-spacing:'.($letter_spacing).'px}
			';
		}
			
		/**
		 * Overall Background
		 */
		
		$bg_color=get_option('wheelsberry_background_color');
		$bg_img=get_option('wheelsberry_background_img');
		$bg_pos=get_option('wheelsberry_background_pos');
		$attach=get_option('wheelsberry_background_attach');
	
		$style=array();
	
		if($bg_color) {
			$style[]='background-color:'.$bg_color;
		}
	
		if($bg_img) {
			$style[]='background-image:url('.$bg_img.')';

			$style=array_merge($style,wheelsberry_bg_img_pos_style($bg_pos));
			
			if($attach == 'fixed') {
				$style[]='background-attachment:fixed';
			} elseif($attach == 'scroll') {
				$style[]='background-attachment:scroll';
			}
		}
			
		if(!empty($style))
			$style=implode(';',$style);
		else
			$style='';
		
		echo 'body{'.$style.'}';

		/**
		 * Header
		 */
		
		$bg_color=get_option('wheelsberry_header_bg_color');
		$text_color=get_option('wheelsberry_header_text_color');
		echo '
		.header-wrapper,
		.header,
		.mobile-menu-container,
		{color:'.$text_color.';background:'.$bg_color.'}';

		$rgb=omfw_Color::hex2rgb($bg_color);

		echo '
		.mobile-menu-overlay
		{background-color:rgba('.$rgb[0].','.$rgb[1].','.$rgb[2].',0.7)}';

		$rgb=omfw_Color::hex2rgb($text_color);
		
		echo '
		.header-wpml-selector #lang_sel a.lang_sel_sel,
		.header-wpml-selector #lang_sel_click a.lang_sel_sel,
		{border-color:rgba('.$rgb[0].','.$rgb[1].','.$rgb[2].',0.2)}';

		$submenu_color=get_option('wheelsberry_menu_sub_items_color');
		$submenu_color_hover=get_option('wheelsberry_menu_sub_items_color_hover');
		$submenu_bg_color=get_option('wheelsberry_menu_sub_items_bg_color');
				
		echo '
		.header-wpml-selector #lang_sel li ul a,
		.header-wpml-selector #lang_sel_click li ul a,
		{background:'.$submenu_bg_color.' !important;color:'.$submenu_color.' !important}';

		echo '
		.header-wpml-selector #lang_sel li ul a:hover,
		.header-wpml-selector #lang_sel_click li ul a:hover,
		{color:'.$submenu_color_hover.' !important}';		
		
		/**
		 * Menu
		 */

		$menu_color=get_option('wheelsberry_menu_items_color');
		$menu_color_hover=get_option('wheelsberry_menu_items_color_hover');
		$menu_active_color=get_option('wheelsberry_menu_active_item_color');
		
		$submenu_color=get_option('wheelsberry_menu_sub_items_color');
		$submenu_color_hover=get_option('wheelsberry_menu_sub_items_color_hover');
		$submenu_bg_color=get_option('wheelsberry_menu_sub_items_bg_color');

		echo '
		.primary-menu a,
		.primary-mobile-menu a,
		{color:'.$menu_color.'}';

		echo '
		.mobile-menu-control__l1,
		.mobile-menu-control__l2,
		.mobile-menu-control__l3,
		{background:'.$menu_color.'}';		
		
		
		echo '
		.primary-menu-highlight-active .primary-menu > li.current-menu-item > a,
		.primary-menu-highlight-active .primary-menu > li.current-menu-item > a:hover,
		.primary-menu.show-dropdown-symbol > li.menu-item-has-children > a:after,
		.primary-menu.show-dropdown-symbol > li.menu-item-has-children > a:before,
		.primary-menu.show-dropdown-symbol ul li.menu-item-has-children > a:after,
		.primary-menu-highlight-active .primary-mobile-menu > li.current-menu-item > a,
		.primary-mobile-menu.show-dropdown-symbol > li.menu-item-has-children > a:after,
		.primary-mobile-menu.show-dropdown-symbol ul li.menu-item-has-children > a:after,
		.primary-mobile-menu.show-dropdown-symbol > li.menu-item-has-children > a:before,
		.primary-mobile-menu.show-dropdown-symbol ul li.menu-item-has-children > a:before,
		{color:'.$menu_active_color.'}';

		echo '
		.primary-menu > li > a[href]:hover,
		.primary-mobile-menu a:hover,
		{color:'.$menu_color_hover.'}';

		echo '
		.primary-menu ul a,
		{color:'.$submenu_color.'}';

		echo '
		.primary-menu ul a[href]:hover,
		.primary-menu-highlight-active .primary-menu ul li.current-menu-item > a,
		{color:'.$submenu_color_hover.'}';
		
		echo '
		.primary-menu ul,
		{background-color:'.$submenu_bg_color.'}';
				
		/*
		$rgb=omfw_Color::hex2rgb($menu_color);

		echo '
		.header-menu-mobile-control,
		.primary-mobile-menu-container
		{background-color:rgba('.$rgb[0].','.$rgb[1].','.$rgb[2].',.2)}';
		
		echo '
		.header-menu-mobile-control:hover
		{background-color:rgba('.$rgb[0].','.$rgb[1].','.$rgb[2].',.3)}';			
		
		echo '
		.primary-menu > li > a:before
		{background:'.$menu_color_hover.'}';

		
		$rgb=omfw_Color::hex2rgb($submenu_color);
		echo '
		.primary-menu .sub-menu li:after,
		.primary-menu > li.megamenu-enable > .sub-menu > ul > li,
		.secondary-menu li:after
		{border-color:rgba('.$rgb[0].','.$rgb[1].','.$rgb[2].',.07)}';
		*/
		
		/**
		 * Common
		 */
		  
		$accent_color=get_option('wheelsberry_accent_color');

		//$rgb=omfw_Color::hex2rgb($accent_color);

		echo '
			a,
			.header__logo,
			.header__logo a,
			.owl-carousel .owl-prev,
			.owl-carousel .owl-next,
			.vc_om-logos-controls .om-prev,
			.vc_om-logos-controls .om-next,
			.om-persons__email a:hover,
			.blog-post .post-title a:hover,
			.navigation-pages a.page-numbers:hover,
			.sidebar-widget a:hover,
			.search-result-title a:hover,
			.cars-slider__subtitle,
			.cars-slider__item-option:before,
			.cars-slider__item-option-value,
			.cars-slider__model,
			.ui-datepicker-prev:before,
			.ui-datepicker-next:before,
			.ui-datepicker-calendar a.ui-state-highlight,
			.om-checkbox-label,
			.custom-gallery .control-prev .prev,
			.custom-gallery .control-next .next,
			.header-wpml-selector #lang_sel a.lang_sel_sel:after,
			.header-wpml-selector #lang_sel_click a.lang_sel_sel:after,
			.rent-option-description-link:hover,
			.rent-option-description-link.active,
			{color:'.$accent_color.'}';
		
		echo '
			.om-services__pane,
			.owl-carousel .owl-dot.active,
			.om-about__pane,
			.om-social-icon,
			.om-back-to-top,
			.hover-image-extra .link-url:before,
			.hover-image-extra .link-zoom:before,
			.read-more-link:hover,
			.navigation-pages span.page-numbers.current,
			.navigation-prev a:hover:before,
			.navigation-next a:hover:after,
			input[type=button]:hover,
			input[type=submit]:hover,
			input[type=reset]:hover,
			.cars-slider__item-reserve-button:hover,
			.reservation-form,
			.ui-datepicker-calendar td a:not(.ui-state-active):hover,
			div.wpcf7-mail-sent-ok,
			.om-rental-locations__header,
			.footer-widgets input[type=submit],
			.om-wpb .vc_toggle_size_md.vc_toggle_default .vc_toggle_icon:after,
			.om-wpb .vc_toggle_size_md.vc_toggle_default .vc_toggle_icon:before,
			.custom-gallery .control-progress .progress,
			body.om-wpb .vc_tta .vc_tta-controls-icon.vc_tta-controls-icon-plus::before,
			body.om-wpb .vc_tta .vc_tta-controls-icon.vc_tta-controls-icon-plus::after,
			.om-wpb .vc_pagination.vc_pagination-style-flat .vc_active .vc_pagination-trigger,
			.om-wpb .vc_btn3.vc_btn3-color-om-accent-color,
			.om-wpb .vc_btn3.vc_btn3-color-om-accent-color2:hover,
			.om-wpb .vc_btn3.vc_btn3-color-om-button-color:hover,
			.om-wpb .vc_general.vc_cta3.vc_cta3-color-om-accent-color.vc_cta3-style-flat,
			{background-color:'.$accent_color.'}';

		echo '
			.om-persons__item,
			input[type=text]:focus,
			input[type=email]:focus,
			input[type=tel]:focus,
			input[type=password]:focus,
			input[type=file]:focus,
			textarea:focus,
			.your-booking,
			input[type=checkbox]:checked + .om-checkbox-label,
			.rent-option-item:hover .om-checkbox-label,
			.rent-option-description-link:hover,
			.rent-option-description-link.active,
			{border-color:'.$accent_color.'}';
			
		echo '
			.om-about__pane:after,
			.blog-post.sticky:before,
			{border-left-color:'.$accent_color.'}';

		echo '
			.reservation-form:after,
			.your-booking:after,
			.om-rental-locations__header:after,
			.blog-post.sticky:before,
			{border-top-color:'.$accent_color.'}';
						
		echo '
			input[type=checkbox]:checked + .om-checkbox-label,
			{box-shadow:0 0 0 1px '.$accent_color.'}';

		/*			
		echo '
			{background-color:rgba('.$rgb[0].','.$rgb[1].','.$rgb[2].',.1)}';
		*/			

		$accent_color2=get_option('wheelsberry_accent_color2');
		
		echo '
			.om-about__media--counter:after,
			.om-persons__sep,
			.cars-slider__item-description-sep,
			.cars-slider__item-reserve-button,
			.ui-datepicker-calendar a.ui-state-active,
			input[type=submit].reservation-form__submit-button:hover,
			input[type=submit].reservation-form__submit-button:disabled,
			.footer-widgets input[type=submit]:hover,
			.om-wpb .vc_btn3.vc_btn3-color-om-accent-color2,
			.om-wpb .vc_btn3.vc_btn3-color-om-accent-color:hover,
			.om-wpb .vc_general.vc_cta3.vc_cta3-color-om-accent-color2.vc_cta3-style-flat,
			{background-color:'.$accent_color2.'}';		

		/**
		 * Cars slider
		 */
		
		$bg_color=get_option('wheelsberry_cars_slider_bg');
		
		echo '
			.cars-slider,
			.your-booking__car-image,
			{background-color:'.$bg_color.'}';
		
		echo '
			.cars-slider:after,
			{border-top-color:'.$bg_color.'}';		
			
		$text_color=get_option('wheelsberry_cars_slider_text_color');
		
		echo '
			.cars-slider,
			{color:'.$text_color.'}';		
		
		/**
		 * Content
		 */
		 
		$text_color=get_option('wheelsberry_main_text_color');
		echo '
		.content,
		.om-back-to-top,
		.comment-meta .author,
		.sidebar-widget a,
		.sidebar-widget li:before,
		{color:'.$text_color.'}';

		$rgb=omfw_Color::hex2rgb($text_color);

		echo '
		input[type=text],
		input[type=email],
		input[type=tel],
		input[type=password],
		input[type=file],
		textarea,
		input[type=number],
		select,
		.post-meta-share,
		.comment-inner,
		.sidebar-widget li,
		#wp-calendar thead th,
		#wp-calendar tbody td,
		.search-results-list li,
		.om-checkbox-label,
		body.om-wpb .vc_tta.vc_tta-style-classic.vc_tta-tabs .vc_tta-panels,
		body.om-wpb .vc_tta.vc_tta-style-classic.vc_tta-tabs .vc_tta-panels::after,
		body.om-wpb .vc_tta.vc_tta-style-classic.vc_tta-tabs .vc_tta-panels::before,
		body.om-wpb .vc_tta.vc_tta-style-classic .vc_tta-tab.vc_active>a,
		body.om-wpb .vc_tta.vc_tta-style-classic .vc_tta-panel .vc_tta-panel-heading,
		body.om-wpb .vc_tta.vc_tta-style-classic .vc_tta-panel.vc_active .vc_tta-panel-heading,
		body.om-wpb .vc_tta.vc_tta-style-classic .vc_tta-panel .vc_tta-panel-body,
		body.rtl.om-wpb .vc_tta-tabs:not([class*=vc_tta-gap]):not(.vc_tta-o-no-fill).vc_tta-tabs-position-left .vc_tta-tab.vc_active>a,
		body.rtl.om-wpb .vc_tta-tabs:not([class*=vc_tta-gap]):not(.vc_tta-o-no-fill).vc_tta-tabs-position-right .vc_tta-tab.vc_active>a,
		.content table th,
		.content table td,
		.post-password-form label,
		.rent-option-description-link,
		{border-color:rgba('.$rgb[0].','.$rgb[1].','.$rgb[2].',.12)}';
		
		echo '
		.content-pane,
		.widget_archive .sidebar-widget-inner > ul,
		.widget_calendar .sidebar-widget-inner > .calendar_wrap,
		.widget_categories .sidebar-widget-inner > ul,
		.widget_nav_menu .sidebar-widget-inner > div:last-child,
		.widget_meta .sidebar-widget-inner > ul,
		.widget_pages .sidebar-widget-inner > ul,
		.widget_recent_comments .sidebar-widget-inner > ul,
		.widget_recent_entries .sidebar-widget-inner > ul,
		.widget_rss .sidebar-widget-inner > ul,
		.widget_tag_cloud .sidebar-widget-inner > .tagcloud,
		.widget_text .sidebar-widget-inner > .textwidget,
		.om-wpb div.vc_general.vc_cta3.vc_cta3-style-flat,
		{border-color:rgba('.$rgb[0].','.$rgb[1].','.$rgb[2].',.07)}';

		$side_text=get_option('wheelsberry_side_text_color');
		echo '
		.breadcrumbs,
		.breadcrumbs a,
		.breadcrumbs a:hover,
		.page-title-subtitle,
		.vc_custom_heading__additional,
		.om-testimonials__content,
		.owl-carousel.vc_om-testimonials:before,
		.owl-carousel.vc_om-testimonials:after,
		.om-persons__post,
		.om-persons__email,
		.om-persons__phone,
		.post-meta,
		.comment-meta,
		.widget_archive li,
		.widget_categories li,
		.widget_recent_comments li,
		.widget_rss .rss-date,
		.widget_recent_entries li,
		.ui-state-disabled,
		.your-booking__subtitle,
		.your-booking__car-category,
		.your-booking__car-dates,
		.your-booking__car-option-label,
		.rent-option-price,
		.rent-option-description-link,
		.rent-option-description,
		{color:'.$side_text.'}';

		echo '
		.reservation-form .select2-container--default .select2-selection--single .select2-selection__arrow b,
		.reservation-form__custom-location-wrapper .dropdown-arrow:before
		{border-top-color:'.$side_text.'}';

		echo '
		.reservation-form .select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow b
		{border-bottom-color:'.$side_text.'}';

		echo '
		.reservation-form .select2-container--default:hover .select2-selection--single .select2-selection__arrow b,
		.reservation-form__custom-location-wrapper .dropdown-arrow:hover:before
		{border-top-color:'.$text_color.'}';

		echo '
		.reservation-form .select2-container--default.select2-container--open:hover .select2-selection--single .select2-selection__arrow b
		{border-bottom-color:'.$text_color.'}';
						
		echo '
		select
		{background-image: url(\''.omfw_Framework::svg_url_data('<svg xmlns="http://www.w3.org/2000/svg" width="17" height="5"><polygon fill="'.$side_text.'" points="0,0 9,0 5,5"/></svg>').'\');}';

		echo '
		select:hover
		{background-image: url(\''.omfw_Framework::svg_url_data('<svg xmlns="http://www.w3.org/2000/svg" width="17" height="5"><polygon fill="'.$text_color.'" points="0,0 9,0 5,5"/></svg>').'\');}';

		$buttons_color=get_option('wheelsberry_buttons_color');

		echo '
		.owl-carousel .owl-prev,
		.owl-carousel .owl-next,
		.vc_om-logos-controls .om-prev,
		.vc_om-logos-controls .om-next,
		.owl-carousel .owl-dot,
		.read-more-link,
		.post-share-button,
		.navigation-pages .page-numbers:not(.dots),
		.navigation-prev a:before,
		.navigation-next a:after,
		input[type=button],
		input[type=submit],
		input[type=reset],
		.cars-slider__item-option:before,
		.ui-datepicker-prev:before,
		.ui-datepicker-next:before,
		.custom-gallery .control-prev .prev,
		.custom-gallery .control-next .next,
		.om-wpb .vc_pagination-color-grey.vc_pagination-style-flat .vc_pagination-trigger,
		.om-wpb .vc_btn3.vc_btn3-color-om-button-color,
		.om-wpb .vc_general.vc_cta3.vc_cta3-color-om-button-color.vc_cta3-style-flat,
		{background-color:'.$buttons_color.'}';

		$bg_color=get_option('wheelsberry_background_main_content_color');
		echo '
		.content-pane,
		.widget_archive .sidebar-widget-inner > ul,
		.widget_calendar .sidebar-widget-inner > .calendar_wrap,
		.widget_categories .sidebar-widget-inner > ul,
		.widget_nav_menu .sidebar-widget-inner > div:last-child,
		.widget_meta .sidebar-widget-inner > ul,
		.widget_pages .sidebar-widget-inner > ul,
		.widget_recent_comments .sidebar-widget-inner > ul,
		.widget_recent_entries .sidebar-widget-inner > ul,
		.widget_rss .sidebar-widget-inner > ul,
		.widget_tag_cloud .sidebar-widget-inner > .tagcloud,
		.widget_text .sidebar-widget-inner > .textwidget,
		input.searchform-s,
		.sidebar-widget select,
		body.om-wpb .vc_tta.vc_tta-style-classic.vc_tta-tabs .vc_tta-panels,
		body.om-wpb .vc_tta.vc_tta-style-classic .vc_tta-tab.vc_active>a,
		body.om-wpb .vc_tta.vc_tta-style-classic .vc_tta-panel .vc_tta-panel-body,
		body.om-wpb .vc_tta.vc_tta-style-classic .vc_tta-panel .vc_tta-panel-heading,
		body.om-wpb .vc_tta.vc_tta-style-classic .vc_tta-panel.vc_active .vc_tta-panel-heading,
		.post-password-form label input,
		{background-color:'.$bg_color.'}';

		/**
		 * Footer
		 */

		$bg_color=get_option('wheelsberry_footer_background_color');
		$bg_img=get_option('wheelsberry_footer_background_img');
		$bg_pos=get_option('wheelsberry_footer_background_pos');
		$attach=get_option('wheelsberry_footer_background_attach');
	
		$style=array();
	
		if($bg_color) {
			$style[]='background-color:'.$bg_color;
		}
	
		if($bg_img) {
			$style[]='background-image:url('.$bg_img.')';

			$style=array_merge($style,wheelsberry_bg_img_pos_style($bg_pos));
			
			if($attach == 'fixed') {
				$style[]='background-attachment:fixed';
			} elseif($attach == 'scroll') {
				$style[]='background-attachment:scroll';
			}
		}
			
		if(!empty($style))
			$style=implode(';',$style);
		else
			$style='';
		
		echo '
		.footer-widgets
		{'.$style.'}';
		
		$color=get_option('wheelsberry_footer_main_text_color');
		
		echo '
		.footer-widgets,
		.footer-widgets a
		{color:'.$color.'}';

		$rgb=omfw_Color::hex2rgb($color);

		echo '
		.footer-widget li,
		{border-color:rgba('.$rgb[0].','.$rgb[1].','.$rgb[2].',.12)}';

		$color=get_option('wheelsberry_footer_side_text_color');

		echo '
		.footer-widget.widget_recent_entries .post-date:before,
		.footer-widget.wheelsberry_widget_tweets .tweet-time:before,
		{background-image: url(\''.omfw_Framework::svg_url_data('<svg xmlns="http://www.w3.org/2000/svg" width="9" height="9"><line x1="0" y1="9" x2="9" y2="0" style="stroke:'.$color.';stroke-width:1"/></svg>').'\');}';


		$color=get_option('wheelsberry_sub_footer_text_color');
		echo '
		.sub-footer
		{color:'.$color.'}';

		/*********/
		
		$out = ob_get_contents();
    ob_end_clean();

    return $out;
	}
	
}




if( !function_exists( 'wheelsberry_body_styling_classes' ) ) {
	
	function wheelsberry_body_styling_classes($classes) {
	
		omfw_Framework::body_add_class('om_theme');
		omfw_Framework::body_add_class('wheelsberry_theme');
		
		/*
		if( ( $layout = get_option('wheelsberry_overall_layout') ) ) {
			omfw_Framework::body_add_class('layout-'.$layout);
		} else {
			omfw_Framework::body_add_class('layout-wide');
		}
		*/
		
		if(get_option('wheelsberry_sidebar_position')=='left') {
			omfw_Framework::body_add_class('sidebar--flip');
		}
		
		omfw_Framework::body_add_class('om-animation-enabled');
		
		if(get_option('wheelsberry_menu_highlight_active') == 'true') {
			omfw_Framework::body_add_class('primary-menu-highlight-active');
		}	
		
		if(get_option('wheelsberry_background_mode') == 'preset') {
			omfw_Framework::body_add_class('bg-'.get_option('wheelsberry_background_preset'));
			omfw_Framework::body_add_class('bg-overlay-enabled');
		} elseif(get_option('wheelsberry_background_overlay') == 'color' || get_option('wheelsberry_background_overlay') == 'gradient') {
			omfw_Framework::body_add_class('bg-overlay-enabled');
		}	

		if(get_option('wheelsberry_page_title_uppercase') == 'true') {
			omfw_Framework::body_add_class('titles--uppercase');
		}	
		
	}
	add_action('get_header','wheelsberry_body_styling_classes');
	
}

if( !function_exists( 'wheelsberry_mobile_nav_bar_color' ) ) {

	function wheelsberry_mobile_nav_bar_color() {
	
		$color=get_option('wheelsberry_header_bg_color');

		if($color) {
			echo '<meta name="theme-color" content="'.esc_attr($color).'"><meta name="msapplication-navbutton-color" content="'.esc_attr($color).'"><meta name="apple-mobile-web-app-status-bar-style" content="'.esc_attr($color).'">';
		}
	}
	add_action('wp_head','wheelsberry_mobile_nav_bar_color');
	
}
