<?php

if(!function_exists('wheelsberry_get_theme_options')) {
	function wheelsberry_get_theme_options($args=array()) {

		$options = array(
		
			array(
				"name" => esc_html__('General settings','wheelsberry'),
				"type" => "heading",
			),
		
			array(
				"name" => "",
				"message" => esc_html__('You can import demo content in a one click:','wheelsberry').' <a href="'.esc_url(omfw_Framework::demo_import_url()).'" class="button button-primary" style="text-shadow:none">'.esc_html__('Demo Content Import Tool &rarr;','wheelsberry').'</a>',
				"type" => "intro",
			),
		
			array(
				"name" => esc_html__('Sub-footer text line','wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_subfooter_text",
				"std" => "",
				"type" => "textarea",
				"rows" => 5,
			),

			array(
				"name" => esc_html__('Google Maps API Key','wheelsberry'),
				"desc" => esc_html__('You need to generate and specify API key to use some features of the theme.','wheelsberry').' <a href="#TB_inline?&width=900&height=550&inlineId=om-google-api-key-tip" class="thickbox"><b>'.esc_html__('Click here to find out how to generate API Key.','wheelsberry').'</b></a>',
				"id" => "wheelsberry_google_maps_api_key",
				"std" => "",
				"type" => "text",
			),
			
			array(
				'name' => esc_html__('Uppercase page titles, headers?', 'wheelsberry'),
				'desc' => esc_html__('Yes, please', 'wheelsberry'),
				'id' =>  'wheelsberry_page_title_uppercase',
				'std' => 'true',
				'type' => 'checkbox',
			),
					
			array(
				'name' => esc_html__('Display "Back to Top" button', 'wheelsberry'),
				'desc' => esc_html__('Button in the bottom right corner of the screen', 'wheelsberry'),
				'id' =>  'wheelsberry_display_back_to_top',
				'std' => 'true',
				'type' => 'checkbox',
			),		                    
		
			array(
				'name' => esc_html__('Do not replace default WordPress Gallery with the Theme&#39;s custom gallery', 'wheelsberry'),
				'desc' => esc_html__('May be useful if you use some plugin for styling default WordPress gallery', 'wheelsberry'),
				'id' =>  'wheelsberry_do_not_replace_gallery',
				'std' => '',
				'type' => 'checkbox',
			),
		                    
		/////////////////////////////////////////////////////////////
		                    
			array(
				"name" => esc_html__('Logo','wheelsberry'),
				"type" => "heading",
			),
		
			array(
				'name' => esc_html__('Site logo type', 'wheelsberry'),
				'desc' => esc_html__('Choose what do you want to use as site logo: image or plain text.', 'wheelsberry'),
				'id' =>  'wheelsberry_site_logo_type',
				'std' => 'text',
				'options'=>array(
					'text'=>esc_html__('Plain text', 'wheelsberry'),
					'image'=>esc_html__('Image', 'wheelsberry'),
					'none'=>esc_html__('No logo', 'wheelsberry'),
				),
				'type' => 'radio',
			),
		                    
			array(
				"name" => esc_html__('Site logo text','wheelsberry'),
				"desc" => esc_html__('Logo text.','wheelsberry'),
				"id" => "wheelsberry_site_logo_text",
				"std" => "WHEELSBERRY",
				"type" => 'text',
				'dependency' => array(
					'id' => 'wheelsberry_site_logo_type',
					'mode' => 'value',
					'value' => 'text',
				),
			),

			array(
				'name' => esc_html__('Logo font', 'wheelsberry'),
				'desc' => '',
				'id' =>  'wheelsberry_logo_font',
				'std' => array(
		    	'type'=>'google',
		    	'google'=>array('family'=>'Montserrat', 'weight_bold' => 700),
		    ),
				'options'=>array(
		    	'Arial' => 'Arial',
		    	'Times New Roman' => 'Times New Roman',
		    	'Verdana' => 'Verdana',
		    	'Tahoma' => 'Tahoma',
		    	'Courier' => 'Courier',
		    	'Courier New' => 'Courier New',
		    	'Georgia' => 'Georgia',
		    	'Impact' => 'Impact',
		    	'Lucida Console' => 'Lucida Console',
		    	'Trebuchet MS' => 'Trebuchet MS',
		    ),
				'type' => 'font',
				'weights' => array('bold'),
				'dependency' => array(
					'id' => 'wheelsberry_site_logo_type',
					'mode' => 'value',
					'value' => 'text',
				),
			),

			array(
				'name' => esc_html__('Uppercase logo text?', 'wheelsberry'),
				'desc' => esc_html__('Yes, please', 'wheelsberry'),
				'id' =>  'wheelsberry_logo_text_uppercase',
				'std' => 'true',
				'type' => 'checkbox',
				'dependency' => array(
					'id' => 'wheelsberry_site_logo_type',
					'mode' => 'value',
					'value' => 'text',
				),
			),

			array(
				'name' => esc_html__('Logo text font size', 'wheelsberry'),
				'desc' => '',
				'id' =>  'wheelsberry_logo_text_size',
				'std' => '34px',
				'options'=>omfw_Framework::array_number_values(array(
					'from' => 10,
					'to' => 100,
					'step' => 2,
					'sprintf' => '%dpx',
				)),
				'type' => 'select2',
				'dependency' => array(
					'id' => 'wheelsberry_site_logo_type',
					'mode' => 'value',
					'value' => 'text',
				),
			),
			
			array(
				"name" => esc_html__('Site logo image','wheelsberry'),
				"desc" => esc_html__('Choose a logo for your theme, or specify the image address of your online logo (http://example.com/logo.png).','wheelsberry'),
				"id" => "wheelsberry_site_logo_image",
				"std" => "",
				"type" => "upload",
				'dependency' => array(
					'id' => 'wheelsberry_site_logo_type',
					'mode' => 'value',
					'value' => 'image',
				),
			),
		
			array(
				"name" => esc_html__('Site logo image for retina displays (optional)','wheelsberry'),
				"desc" => esc_html__('Choose double sized image for retina displays for better quality','wheelsberry'),
				"id" => "wheelsberry_site_logo_image_2x",
				"std" => "",
				"type" => "upload",
				'dependency' => array(
					'id' => 'wheelsberry_site_logo_type',
					'mode' => 'value',
					'value' => 'image',
				),
			),

		/////////////////////////////////////////////////////////////
		
			array(
				"name" => esc_html__('Layout','wheelsberry'),
				"type" => "heading",
			),
		
		                    
			array(
				'name' => esc_html__('Activate responsive mode for mobile devices', 'wheelsberry'),
				'desc' => esc_html__('Check if you want your site to be fitted by width on mobile devices', 'wheelsberry'),
				'id' =>  'wheelsberry_responsive',
				'std' => 'true',
				'type' => 'checkbox',
			),
			
			array(
				'name' => esc_html__('Pinch zoom on mobile devices', 'wheelsberry'),
				'desc' => esc_html__('Check to allow pinch zoom on mobile devices', 'wheelsberry'),
				'id' =>  'wheelsberry_mobile_zoom',
				'std' => '',
				'type' => 'checkbox',
				'dependency' => array(
					'id' => 'wheelsberry_responsive',
					'mode' => 'value',
					'value' => 'true',
				),
			),
		                    
			array(
				'name' => esc_html__('Footer layout', 'wheelsberry'),
				'desc' => '',
				'id' =>  'wheelsberry_footer_layout',
				'std' => '1v1',
				'options'=>array(
		    	'1v4-1v4-1v4-1v4' => esc_html__('4 Columns 1/4 + 1/4 + 1/4 + 1/4', 'wheelsberry'),
		    	'2v4-1v4-1v4' => esc_html__('3 Columns 2/4 + 1/4 + 1/4', 'wheelsberry'),
		    	'1v4-1v4-2v4' => esc_html__('3 Columns 1/4 + 1/4 + 2/4', 'wheelsberry'),
		    	'1v3-1v3-1v3' => esc_html__('3 Columns 1/3 + 1/3 + 1/3', 'wheelsberry'),
		    	'2v3-1v3' => esc_html__('2 Columns 2/3 + 1/3', 'wheelsberry'),
		    	'1v3-2v3' => esc_html__('2 Columns 1/3 + 2/3', 'wheelsberry'),
		    	'1v2-1v2' => esc_html__('2 Columns 1/2 + 1/2', 'wheelsberry'),
		    	'1v1' => esc_html__('1 Column', 'wheelsberry'),
		    ),
				'type' => 'select',
			),
		                    
		/////////////////////////////////////////////////////////////
		
			array(
				"name" => esc_html__('Menu','wheelsberry'),
				"type" => "heading",
			),
			
			array(
				'name' => esc_html__('Sticky menu', 'wheelsberry'),
				'desc' => esc_html__('Check to fix menu at the top of the screen', 'wheelsberry'),
				'id' =>  'wheelsberry_sticky_menu',
				'std' => 'true',
				'type' => 'checkbox',
			),
		
			array(
				'name' => esc_html__('Display drop down symbol for menu items with sublevels', 'wheelsberry'),
				'desc' => esc_html__('Check if you want to display drop down symbol in primary menu for items which has sublevels', 'wheelsberry'),
				'id' =>  'wheelsberry_show_dropdown_symbol',
				'std' => 'true',
				'type' => 'checkbox',
			),
		                    
			array(
				'name' => esc_html__('Highlight active menu item', 'wheelsberry'),
				'desc' => esc_html__('Check if you want to highlight active menu item of primary menu', 'wheelsberry'),
				'id' =>  'wheelsberry_menu_highlight_active',
				'std' => 'true',
				'type' => 'checkbox',
			),
			
			array(
				'name' => esc_html__('Apply bold font weight for root menu items', 'wheelsberry'),
				'desc' => esc_html__('Yes, please', 'wheelsberry'),
				'id' =>  'wheelsberry_menu_root_bold',
				'std' => '',
				'type' => 'checkbox',
			),
		                    
			array(
				'name' => esc_html__('Uppercase', 'wheelsberry'),
				'desc' => esc_html__('Check to apply uppercase for menu items', 'wheelsberry'),
				'id' =>  'wheelsberry_menu_uppercase',
				'std' => 'true',
				'type' => 'checkbox',
			),

		
		////////////////////////////////////////////////////////////
		
			array(
				"name" => esc_html__('Styling','wheelsberry'),
				"type" => "heading",
			),

			array(
				'name' => '',
				'desc' => esc_html__('Apply custom styling by inline code (check this option if you have problems with styling because of styling file rewrite permissions)', 'wheelsberry'),
				'id' =>  'wheelsberry_use_inline_css',
				'std' => '',
				'type' => 'checkbox',
			),
		
			array(
				"name" => "",
				"message" => esc_html__('Style Presets:','wheelsberry'),
				"type" => "subheader",
			),
		
		                    
			array(
				'name' => '',
				'desc' => esc_html__('Choose one of the preseted styles or create your own one', 'wheelsberry'),
				'id' =>  'wheelsberry_styling_presets',
				'std' => json_decode('{"Vivid Yellow":{"wheelsberry_background_color":"#f7f7f7","wheelsberry_background_img":"","wheelsberry_background_pos":"repeat","wheelsberry_background_attach":"scroll","wheelsberry_accent_color":"#fec601","wheelsberry_accent_color2":"#e91e22","wheelsberry_header_bg_color":"#1a1a1a","wheelsberry_header_text_color":"#ffffff","wheelsberry_menu_items_color":"#ffffff","wheelsberry_menu_items_color_hover":"#fff2c5","wheelsberry_menu_active_item_color":"#fec601","wheelsberry_menu_sub_items_color":"#777777","wheelsberry_menu_sub_items_color_hover":"#0a0303","wheelsberry_menu_sub_items_bg_color":"#ffffff","wheelsberry_cars_slider_bg":"#1a1a1a","wheelsberry_cars_slider_text_color":"#ffffff","wheelsberry_background_main_content_color":"#ffffff","wheelsberry_main_text_color":"#222222","wheelsberry_side_text_color":"#a8a8a8","wheelsberry_buttons_color":"#333333","wheelsberry_footer_background_color":"#3a3a3a","wheelsberry_footer_background_pos":"cover","wheelsberry_footer_background_attach":"scroll","wheelsberry_footer_side_text_color":"#c1c1c1","wheelsberry_sub_footer_text_color":"#222222"},"Soft Orange":{"wheelsberry_background_color":"#f7f7f7","wheelsberry_background_img":"","wheelsberry_background_pos":"repeat","wheelsberry_background_attach":"scroll","wheelsberry_accent_color":"#e5cb9a","wheelsberry_accent_color2":"#77a1a6","wheelsberry_header_bg_color":"#1a1a1a","wheelsberry_header_text_color":"#ffffff","wheelsberry_menu_items_color":"#ffffff","wheelsberry_menu_items_color_hover":"#f5e9d2","wheelsberry_menu_active_item_color":"#e5cb9a","wheelsberry_menu_sub_items_color":"#777777","wheelsberry_menu_sub_items_color_hover":"#0a0303","wheelsberry_menu_sub_items_bg_color":"#ffffff","wheelsberry_cars_slider_bg":"#1a1a1a","wheelsberry_cars_slider_text_color":"#ffffff","wheelsberry_background_main_content_color":"#ffffff","wheelsberry_main_text_color":"#222222","wheelsberry_side_text_color":"#a8a8a8","wheelsberry_buttons_color":"#333333","wheelsberry_footer_background_color":"#3a3a3a","wheelsberry_footer_background_img":"http:\/\/demo.olevmedia.com\/wheelsberry\/wp-content\/uploads\/2016\/08\/footer.jpg","wheelsberry_footer_background_pos":"cover","wheelsberry_footer_background_attach":"scroll","wheelsberry_footer_side_text_color":"#c1c1c1","wheelsberry_sub_footer_text_color":"#222222"},"Soft Blue":{"wheelsberry_background_color":"#f7f7f7","wheelsberry_background_img":"","wheelsberry_background_pos":"repeat","wheelsberry_background_attach":"scroll","wheelsberry_accent_color":"#70c7e9","wheelsberry_accent_color2":"#ff6658","wheelsberry_header_bg_color":"#1a1a1a","wheelsberry_header_text_color":"#ffffff","wheelsberry_menu_items_color":"#ffffff","wheelsberry_menu_items_color_hover":"#bae0ef","wheelsberry_menu_active_item_color":"#70c7e9","wheelsberry_menu_sub_items_color":"#777777","wheelsberry_menu_sub_items_color_hover":"#0a0303","wheelsberry_menu_sub_items_bg_color":"#ffffff","wheelsberry_cars_slider_bg":"#1a1a1a","wheelsberry_cars_slider_text_color":"#ffffff","wheelsberry_background_main_content_color":"#ffffff","wheelsberry_main_text_color":"#222222","wheelsberry_side_text_color":"#a8a8a8","wheelsberry_buttons_color":"#333333","wheelsberry_footer_background_color":"#3a3a3a","wheelsberry_footer_background_pos":"cover","wheelsberry_footer_background_attach":"scroll","wheelsberry_footer_side_text_color":"#c1c1c1","wheelsberry_sub_footer_text_color":"#222222"},"Moderate Cyan":{"wheelsberry_background_color":"#f7f7f7","wheelsberry_background_img":"","wheelsberry_background_pos":"repeat","wheelsberry_background_attach":"scroll","wheelsberry_accent_color":"#5ad8cf","wheelsberry_accent_color2":"#b4df57","wheelsberry_header_bg_color":"#1a1a1a","wheelsberry_header_text_color":"#ffffff","wheelsberry_menu_items_color":"#ffffff","wheelsberry_menu_items_color_hover":"#bfebe8","wheelsberry_menu_active_item_color":"#5ad8cf","wheelsberry_menu_sub_items_color":"#777777","wheelsberry_menu_sub_items_color_hover":"#0a0303","wheelsberry_menu_sub_items_bg_color":"#ffffff","wheelsberry_cars_slider_bg":"#1a1a1a","wheelsberry_cars_slider_text_color":"#ffffff","wheelsberry_background_main_content_color":"#ffffff","wheelsberry_main_text_color":"#222222","wheelsberry_side_text_color":"#a8a8a8","wheelsberry_buttons_color":"#333333","wheelsberry_footer_background_color":"#3a3a3a","wheelsberry_footer_background_pos":"cover","wheelsberry_footer_background_attach":"scroll","wheelsberry_footer_side_text_color":"#c1c1c1","wheelsberry_sub_footer_text_color":"#222222"},"Bright Orange":{"wheelsberry_background_color":"#f7f7f7","wheelsberry_background_img":"","wheelsberry_background_pos":"repeat","wheelsberry_background_attach":"scroll","wheelsberry_accent_color":"#f49045","wheelsberry_accent_color2":"#cfc46d","wheelsberry_header_bg_color":"#1a1a1a","wheelsberry_header_text_color":"#ffffff","wheelsberry_menu_items_color":"#ffffff","wheelsberry_menu_items_color_hover":"#f8dac3","wheelsberry_menu_active_item_color":"#f4ab73","wheelsberry_menu_sub_items_color":"#777777","wheelsberry_menu_sub_items_color_hover":"#0a0303","wheelsberry_menu_sub_items_bg_color":"#ffffff","wheelsberry_cars_slider_bg":"#1a1a1a","wheelsberry_cars_slider_text_color":"#ffffff","wheelsberry_background_main_content_color":"#ffffff","wheelsberry_main_text_color":"#222222","wheelsberry_side_text_color":"#a8a8a8","wheelsberry_buttons_color":"#333333","wheelsberry_footer_background_color":"#3a3a3a","wheelsberry_footer_background_pos":"cover","wheelsberry_footer_background_attach":"scroll","wheelsberry_footer_side_text_color":"#c1c1c1","wheelsberry_sub_footer_text_color":"#222222"},"Grey":{"wheelsberry_background_color":"#f7f7f7","wheelsberry_background_img":"","wheelsberry_background_pos":"repeat","wheelsberry_background_attach":"scroll","wheelsberry_accent_color":"#c9c9c9","wheelsberry_accent_color2":"#ff3535","wheelsberry_header_bg_color":"#1a1a1a","wheelsberry_header_text_color":"#ffffff","wheelsberry_menu_items_color":"#ffffff","wheelsberry_menu_items_color_hover":"#e2e2e2","wheelsberry_menu_active_item_color":"#ff3535","wheelsberry_menu_sub_items_color":"#777777","wheelsberry_menu_sub_items_color_hover":"#0a0303","wheelsberry_menu_sub_items_bg_color":"#ffffff","wheelsberry_cars_slider_bg":"#1a1a1a","wheelsberry_cars_slider_text_color":"#ffffff","wheelsberry_background_main_content_color":"#ffffff","wheelsberry_main_text_color":"#222222","wheelsberry_side_text_color":"#a8a8a8","wheelsberry_buttons_color":"#333333","wheelsberry_footer_background_color":"#3a3a3a","wheelsberry_footer_background_pos":"cover","wheelsberry_footer_background_attach":"scroll","wheelsberry_footer_side_text_color":"#c1c1c1","wheelsberry_sub_footer_text_color":"#222222"}}', true),
				'options' => array(
					'wheelsberry_background_color',
					'wheelsberry_background_img',
					'wheelsberry_background_pos',
					'wheelsberry_background_attach',
					'wheelsberry_accent_color',
					'wheelsberry_accent_color2',
					'wheelsberry_header_bg_color',
					'wheelsberry_header_text_color',
					'wheelsberry_menu_items_color',
					'wheelsberry_menu_items_color_hover',
					'wheelsberry_menu_active_item_color',
					'wheelsberry_menu_sub_items_color',
					'wheelsberry_menu_sub_items_color_hover',
					'wheelsberry_menu_sub_items_bg_color',
					'wheelsberry_cars_slider_bg',
					'wheelsberry_cars_slider_text_color',
					'wheelsberry_background_main_content_color',
					'wheelsberry_main_text_color',
					'wheelsberry_side_text_color',
					'wheelsberry_buttons_color',
					'wheelsberry_footer_background_color',
					'wheelsberry_footer_background_img',
					'wheelsberry_footer_background_pos',
					'wheelsberry_footer_background_attach',
					'wheelsberry_footer_side_text_color',
					'wheelsberry_sub_footer_text_color',
		    ),
				'type' => 'styling_presets',
			),		
		                    
			array(
				"name" => "",
				"message" => esc_html__('Overall Background:','wheelsberry'),
				"type" => "subheader",
			),
			
			array(
				"name" => esc_html__('Background color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_background_color",
				"std" => "#f7f7f7",
				"type" => "color",
			),
		                    
			array(
				'name' => esc_html__('Background image', 'wheelsberry'),
				'id' =>  'wheelsberry_background_img',
				'std' => '',
				'type' => 'upload',
			),
		                    
			array(
				'name' => esc_html__('Background image position', 'wheelsberry'),
				'desc' => '',
				'id' =>  'wheelsberry_background_pos',
				'std' => 'repeat',
				'options'=>wheelsberry_get_bg_img_pos_options(),
				'type' => 'select',
				'dependency' => array(
					'id' => 'wheelsberry_background_img',
					'mode' => 'not_empty',
				),
			),
		                    
			array(
				'name' => esc_html__('Background image attachment', 'wheelsberry'),
				'desc' => '',
				'id' =>  'wheelsberry_background_attach',
				'std' => 'scroll',
				'options'=>array(
		    	'scroll' => 'Scroll',
		    	'fixed' => 'Fixed',
		    ),
				'type' => 'select',
				'dependency' => array(
					'id' => 'wheelsberry_background_img',
					'mode' => 'not_empty',
				),
			),
			
						
			/***/
		                    
			array(
				"name" => "",
				"message" => esc_html__('Common:','wheelsberry'),
				"type" => "subheader",
			),

			array(
				"name" => "",
				"message" => esc_html__('Accent colors are used to highlight some key information, buttons, blocks and etc. Choose three colors. In some content blocks properties you are able to choose one of these three colors manually.','wheelsberry'),
				"type" => "intro",
			),
			
			array(
				"name" => esc_html__('Accent color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_accent_color",
				"std" => "#fec601",
				"type" => "color",
			),

			array(
				"name" => esc_html__('Second accent color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_accent_color2",
				"std" => "#e91e22",
				"type" => "color",
			),
			
			array(
				"name" => "",
				"message" => esc_html__('Header:','wheelsberry'),
				"type" => "subheader",
			),
			
			array(
				"name" => esc_html__('Header background color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_header_bg_color",
				"std" => "#1a1a1a",
				"type" => "color",
			),
		
			array(
				"name" => esc_html__('Header text color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_header_text_color",
				"std" => "#ffffff",
				"type" => "color",
			),

			array(
				"name" => "",
				"message" => esc_html__('Header menu:','wheelsberry'),
				"type" => "subheader",
			),
		

			array(
				"name" => esc_html__('Menu items color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_menu_items_color",
				"std" => "#ffffff",
				"type" => "color",
			),
		
			array(
				"name" => esc_html__('Menu items color by hover', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_menu_items_color_hover",
				"std" => "#fff2c5",
				"type" => "color",
			),
			
			array(
				"name" => esc_html__('Menu active item color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_menu_active_item_color",
				"std" => "#fec601",
				"type" => "color",
			),
		                    
			array(
				"name" => esc_html__('Sub-Menu items color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_menu_sub_items_color",
				"std" => "#777777",
				"type" => "color",
			),
		
			array(
				"name" => esc_html__('Sub-Menu items color by hover', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_menu_sub_items_color_hover",
				"std" => "#0a0303",
				"type" => "color",
			),
		                  
			array(
				"name" => esc_html__('Sub-Menu items background color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_menu_sub_items_bg_color",
				"std" => "#ffffff",
				"type" => "color",
			),
			
			array(
				"name" => "",
				"message" => esc_html__('Cars slider:','wheelsberry'),
				"type" => "subheader",
			),
		

			array(
				"name" => esc_html__('Cars slider background', 'wheelsberry'),
				"desc" => esc_html__('Car images background should match slider background', 'wheelsberry'),
				"id" => "wheelsberry_cars_slider_bg",
				"std" => "#1a1a1a",
				"type" => "color",
			),
			
			array(
				"name" => esc_html__('Cars slider text color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_cars_slider_text_color",
				"std" => "#ffffff",
				"type" => "color",
			),
		                    
			array(
				"name" => "",
				"message" => esc_html__('Main Content:','wheelsberry'),
				"type" => "subheader",
			),
		
			array(
				"name" => esc_html__('Content panes background color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_background_main_content_color",
				"std" => "#ffffff",
				"type" => "color",
			),
		
			array(
				"name" => esc_html__('Main text color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_main_text_color",
				"std" => "#222222",
				"type" => "color",
			),
		                    
			array(
				"name" => esc_html__('Side text color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_side_text_color",
				"std" => "#a8a8a8",
				"type" => "color",
			),
			
			array(
				"name" => esc_html__('Buttons, controls color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_buttons_color",
				"std" => "#333333",
				"type" => "color",
			),
		
		/*		                    
			array(
				"name" => esc_html__('Side text color (less inportant information)', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_side_text_color2",
				"std" => "#dedede",
				"type" => "color",
			),
		*/
		
		/*
			array(
				'name' => esc_html__('Main content panes background transparency', 'wheelsberry'),
				'desc' => esc_html__('Value between 0 and 100. 0 - opaque, 100 - transparent', 'wheelsberry'),
				'id' =>  'wheelsberry_background_main_content_opacity',
				'std' => '0',
				'type' => 'text',
			),
		*/
		
		/*		                    
			array(
				"name" => '',
				"desc" => esc_html__('Check this option if you chose dark background for content panes (needed for adjusting few blocks)', 'wheelsberry'),
				"id" => "wheelsberry_content_panes_dark_bg",
				"std" => "",
				"type" => "checkbox",
			),
		*/
		/*
			array(
				"name" => esc_html__('Sidebar panes background color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_background_sidebar_color",
				"std" => "#ffffff",
				"type" => "color",
			),
		
		*/
		
			array(
				"name" => "",
				"message" => esc_html__('Footer:','wheelsberry'),
				"type" => "subheader",
			),
		
			array(
				"name" => esc_html__('Footer background color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_footer_background_color",
				"std" => "#3a3a3a",
				"type" => "color",
			),

			array(
				'name' => esc_html__('Footer background image', 'wheelsberry'),
				'id' =>  'wheelsberry_footer_background_img',
				'std' => '',
				'type' => 'upload',
			),
		                    
			array(
				'name' => esc_html__('Footer background image position', 'wheelsberry'),
				'desc' => '',
				'id' =>  'wheelsberry_footer_background_pos',
				'std' => 'repeat',
				'options'=>wheelsberry_get_bg_img_pos_options(),
				'type' => 'select',
				'dependency' => array(
					'id' => 'wheelsberry_footer_background_img',
					'mode' => 'not_empty',
				),
			),
		                    
			array(
				'name' => esc_html__('Footer background image attachment', 'wheelsberry'),
				'desc' => '',
				'id' =>  'wheelsberry_footer_background_attach',
				'std' => 'scroll',
				'options'=>array(
		    	'scroll' => 'Scroll',
		    	'fixed' => 'Fixed',
		    ),
				'type' => 'select',
				'dependency' => array(
					'id' => 'wheelsberry_footer_background_img',
					'mode' => 'not_empty',
				),
			),

			array(
				"name" => esc_html__('Footer text color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_footer_main_text_color",
				"std" => "#ffffff",
				"type" => "color",
			),

			array(
				"name" => esc_html__('Footer side text color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_footer_side_text_color",
				"std" => "#c1c1c1",
				"type" => "color",
			),

			array(
				"name" => esc_html__('Sub-footer text color', 'wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_sub_footer_text_color",
				"std" => "#222222",
				"type" => "color",
			),
		
		////////////////////////////////////////////////////////////
		
		
			array(
				"name" => esc_html__('Fonts','wheelsberry'),
				"type" => "heading",
			),


			array(
				'name' => esc_html__('Base font', 'wheelsberry'),
				'desc' => '',
				'id' =>  'wheelsberry_base_font',
				'std' => array(
		    	'type'=>'google',
		    	'google'=>array('family'=>'Open Sans', 'weight_normal' => 400, 'weight_semibold' => 600, 'weight_bold' => 700),
		    ),
				'options'=>array(
		    	'Arial' => 'Arial',
		    	'Times New Roman' => 'Times New Roman',
		    	'Verdana' => 'Verdana',
		    	'Tahoma' => 'Tahoma',
		    	'Courier' => 'Courier',
		    	'Courier New' => 'Courier New',
		    	'Georgia' => 'Georgia',
		    	'Impact' => 'Impact',
		    	'Lucida Console' => 'Lucida Console',
		    	'Trebuchet MS' => 'Trebuchet MS',
		    ),
				'type' => 'font',
				'weights' => array('normal', 'semibold', 'bold'),
			),
		                    
			array(
				'name' => esc_html__('Headers font', 'wheelsberry'),
				'id' =>  'wheelsberry_sec_font',
				'std' => array(
		    	'type'=>'google',
		    	'google'=>array('family'=>'Montserrat', 'weight_normal' => 400, 'weight_bold' => 700),
		    ),
				'options'=>array(
		    	'Arial' => 'Arial',
		    	'Times New Roman' => 'Times New Roman',
		    	'Verdana' => 'Verdana',
		    	'Tahoma' => 'Tahoma',
		    	'Courier' => 'Courier',
		    	'Courier New' => 'Courier New',
		    	'Georgia' => 'Georgia',
		    	'Impact' => 'Impact',
		    	'Lucida Console' => 'Lucida Console',
		    	'Trebuchet MS' => 'Trebuchet MS',
		    ),
				'type' => 'font',
			),

			array(
				'name' => esc_html__('Subheaders font', 'wheelsberry'),
				'desc' => '',
				'id' =>  'wheelsberry_subheaders_font',
				'std' => array(
		    	'type'=>'google',
		    	'google'=>array('family'=>'Quicksand', 'weight_normal' => 400, 'weight_bold' => 700),
		    ),
				'options'=>array(
		    	'Arial' => 'Arial',
		    	'Times New Roman' => 'Times New Roman',
		    	'Verdana' => 'Verdana',
		    	'Tahoma' => 'Tahoma',
		    	'Courier' => 'Courier',
		    	'Courier New' => 'Courier New',
		    	'Georgia' => 'Georgia',
		    	'Impact' => 'Impact',
		    	'Lucida Console' => 'Lucida Console',
		    	'Trebuchet MS' => 'Trebuchet MS',
		    ),
				'type' => 'font',
			),
						
			array(
				'name' => esc_html__('Primary menu font', 'wheelsberry'),
				'desc' => '',
				'id' =>  'wheelsberry_menu_font',
				'std' => array(
		    	'type'=>'google',
		    	'google'=>array('family'=>'Montserrat', 'weight_normal' => 400, 'weight_bold' => 700),
		    ),
				'options'=>array(
		    	'Arial' => 'Arial',
		    	'Times New Roman' => 'Times New Roman',
		    	'Verdana' => 'Verdana',
		    	'Tahoma' => 'Tahoma',
		    	'Courier' => 'Courier',
		    	'Courier New' => 'Courier New',
		    	'Georgia' => 'Georgia',
		    	'Impact' => 'Impact',
		    	'Lucida Console' => 'Lucida Console',
		    	'Trebuchet MS' => 'Trebuchet MS',
		    ),
				'type' => 'font',
			),		
			
			
		);
		
		$tmp=array();
		for($i=80;$i<=160;$i++) {
			$tmp[$i]=$i.'%';
		}
		
		$options=array_merge($options, array(
			array(
				'name' => esc_html__('Font scaling', 'wheelsberry'),
				'desc' => esc_html__('You can scale all font sizes in the theme by this selector', 'wheelsberry'),
				'id' =>  'wheelsberry_font_scale',
				'std' => '100',
				'options' => $tmp,
				'type' => 'select',
			)
		));
		
		$tmp=array();
		for($i=1;$i<3.01;$i+=0.05) {
			$tmp[]=sprintf('%01.2f',$i);
		}
		$options=array_merge($options, array(
			array(
				'name' => esc_html__('Text Line Height', 'wheelsberry'),
				'desc' => '',
				'id' =>  'wheelsberry_line_height',
				'std' => '1.70',
				'options' => $tmp,
				'type' => 'select2',
			),
		));

		$tmp=array();
		for($i=-10;$i<10.01;$i+=0.5) {
			$tmp[str_replace(',','.',$i)]=($i > 0 ? '+' : '').sprintf('%01.1f',$i).'px';
		}
		$options=array_merge($options, array(
			array(
				'name' => esc_html__('Headings letter spacing', 'wheelsberry'),
				'id' =>  'wheelsberry_letter_spacing',
				'std' => '0',
				'options' => $tmp,
				'type' => 'select',
			),
		));


		////////////////////////////////////////////////////////////

		$options=array_merge($options, array(

			array(
				"name" => esc_html__('Comments','wheelsberry'),
				"type" => "heading",
			),
		
			array(
				'name' => esc_html__('Hide comments block on pages', 'wheelsberry'),
				'desc' => esc_html__('Check if you want to hide comments block on single pages. To hide comments on post pages and portfolio - see sections "Post options" and "Portfolio options"', 'wheelsberry'),
				'id' =>  'wheelsberry_hide_comments_page',
				'std' => '',
				'type' => 'checkbox',
			),
		
			array(
				'name' => esc_html__('Hide comments block on the post pages', 'wheelsberry'),
				'desc' => esc_html__('Check if you want to hide comments block on the post pages.', 'wheelsberry'),
				'id' =>  'wheelsberry_hide_comments_post',
				'std' => '',
				'type' => 'checkbox',
			),
			
		));
		if(isset($GLOBALS['omPortfolioPlugin'])) {
			$options=array_merge($options, array(		
				array(
					'name' => esc_html__('Hide comments block on the portfolio pages', 'wheelsberry'),
					'desc' => esc_html__('Check if you want to hide comments block on the portfolio pages.', 'wheelsberry'),
					'id' =>  'wheelsberry_hide_comments_portfolio',
					'std' => '',
					'type' => 'checkbox',
				),
			));
		}
		
		$options=array_merge($options, array(
			array(
				"name" => "",
				"message" => esc_html__('Facebook comments','wheelsberry'),
				"type" => "subheader",
			),
									                    
			array(
				'name' => esc_html__('Moderator Facebook user ID', 'wheelsberry'),
				'desc' => esc_html__('The easiest way to moderate comments - insert Facebook user ID who can moderate comments. To add multiple moderators, separate the uids by comma without spaces.', 'wheelsberry'),
				'id' =>  'wheelsberry_fb_comments_admin_id',
				'std' => '',
				'type' => 'text',
			),
		
			array(
				'name' => esc_html__('Your Facebook application ID', 'wheelsberry'),
				'desc' => sprintf(esc_html__('Second way to moderate comments - insert Facebook application ID. You will be able to moderate comments with %s', 'wheelsberry'), '<a href="http://developers.facebook.com/tools/comments" target="_blank">'.esc_html__('Facebook Comment Moderation Tool','wheelsberry').'</a>' ),
				'id' =>  'wheelsberry_fb_comments_app_id',
				'std' => '',
				'type' => 'text',
			),
		                    
			array(
				'name' => esc_html__('Number of posts to display by default', 'wheelsberry'),
				'desc' => '',
				'id' =>  'wheelsberry_fb_comments_count',
				'std' => '2',
				'type' => 'text',
			),
		                    
			array(
				'name' => esc_html__('Facebook comments color scheme', 'wheelsberry'),
				'desc' => '',
				'id' =>  'wheelsberry_fb_comments_color',
				'std' => '',
				'options'=>array(
		    	'' => 'Light',
		    	'dark' => 'Dark',
		    ),
				'type' => 'select',
			),
		
			array(
				'name' => esc_html__('Show Facebook comments on pages', 'wheelsberry'),
				'desc' => esc_html__('Check to show Facebook comments block on single pages', 'wheelsberry'),
				'id' =>  'wheelsberry_fb_comments_page',
				'std' => '',
				'type' => 'checkbox',
			),
		
			array(
				'name' => esc_html__('Show Facebook comments on post pages', 'wheelsberry'),
				'desc' => esc_html__('Check to show Facebook comments block on single post pages', 'wheelsberry'),
				'id' =>  'wheelsberry_fb_comments_post',
				'std' => '',
				'type' => 'checkbox',
			),
			             
			array(
				'name' => esc_html__('Position of Facebook comments', 'wheelsberry'),
				'desc' => '',
				'id' =>  'wheelsberry_fb_comments_position',
				'std' => '',
				'options'=>array(
		    	'' => 'Before WordPress Comments',
		    	'after' => 'After WordPress Comments',
		    ),
				'type' => 'select',
			),
		
		////////////////////////////////////////////////////////////
		
			array(
				"name" => esc_html__('Page titles','wheelsberry'),
				"type" => "heading",
			),
		                    
			array(
				"name" => "",
				"message" => esc_html__('You can set default page titles layout here. Also it\'s possible to set custom page title layout for a specific page when edit it.','wheelsberry'),
				"type" => "intro",
			),

			array(
				"name" => esc_html__('Page title layout','wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_default_page_title",
				"type" => 'select',
				"std" => 'standard',
				'options' => array(
					'standard' => esc_html__('Standard', 'wheelsberry'),
					'hide' => esc_html__('Hide', 'wheelsberry'),
				),
			),
			
			array(
				"name" => esc_html__('Title align','wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_default_title_align",
				"type" => 'select',
				"std" => 'center',
				'options' => array(
					'left' => esc_html__('Left', 'wheelsberry'),
					'center' => esc_html__('Center', 'wheelsberry'),
					'right' => esc_html__('Right', 'wheelsberry'),
				),
				'dependency' => array(
					'id' => 'wheelsberry_default_page_title',
					'mode' => 'value',
					'value' => 'standard',
				),
			),
			

		////////////////////////////////////////////////////////////
		
		
			array(
				"name" => esc_html__('Blog options','wheelsberry'),
				"type" => "heading",
			),

			array(
				'name' => esc_html__('Excerpt mode', 'wheelsberry'),
				'desc' => esc_html__('&lt;!--more--&gt; tag can be inserted with "Insert More Tag" button at the toolbar pane. Custom excerpt field can be enabled under "Screen options - Excerpt" when you edit the post','wheelsberry'),
				'id' =>  'wheelsberry_blog_excerpt_mode',
				'std' => 'more',
				'options'=>array(
		    	'more' => esc_html__('Excerpt separated by &lt;!--more--&gt; tag or set by custom excerpt field','wheelsberry'),
		    	'auto' => esc_html__('Excerpt generated automatically if not set by custom excerpt field','wheelsberry'),
		    ),
				'type' => 'select',
			),
		                    
			array(
				'name' => esc_html__('Auto excerpt length', 'wheelsberry'),
				'desc' => esc_html__('Specify the length of excerpt in number of words, if the automatically generated excerpt chosen above', 'wheelsberry'),
				'id' =>  'wheelsberry_blog_excerpt_length',
				'std' => '30',
				'type' => 'text',
			),
		
			array(
				'name' => esc_html__('Hide post author', 'wheelsberry'),
				'desc' => esc_html__('Check, if you want to hide post author name', 'wheelsberry'),
				'id' =>  'wheelsberry_post_hide_author',
				'std' => '',
				'type' => 'checkbox',
			),
		
			array(
				'name' => esc_html__('Hide post categories', 'wheelsberry'),
				'desc' => esc_html__('Check, if you want to hide post categories', 'wheelsberry'),
				'id' =>  'wheelsberry_post_hide_categories',
				'std' => '',
				'type' => 'checkbox',
			),
		                    
			array(
				'name' => esc_html__('Hide post tags', 'wheelsberry'),
				'desc' => esc_html__('Check, if you want to hide post tags', 'wheelsberry'),
				'id' =>  'wheelsberry_post_hide_tags',
				'std' => '',
				'type' => 'checkbox',
			),
		                    
			array(
				'name' => esc_html__('Hide post date', 'wheelsberry'),
				'desc' => esc_html__('Check, if you want to hide post date', 'wheelsberry'),
				'id' =>  'wheelsberry_post_hide_date',
				'std' => '',
				'type' => 'checkbox',
			),
		                    
			array(
				'name' => esc_html__('Hide comments counter', 'wheelsberry'),
				'desc' => esc_html__('Check, if you want to hide post comments counter', 'wheelsberry'),
				'id' =>  'wheelsberry_post_hide_comments',
				'std' => '',
				'type' => 'checkbox',
			),
			
			array(
				'name' => esc_html__('Hide social share buttons', 'wheelsberry'),
				'desc' => esc_html__('Check, if you want to hide social share buttons', 'wheelsberry'),
				'id' =>  'wheelsberry_post_hide_share',
				'std' => '',
				'type' => 'checkbox',
			),
		
			array(
				'name' => esc_html__('Show featured image on the post page', 'wheelsberry'),
				'desc' => esc_html__('Check to show the featured image at the beginning of the post on the single post page', 'wheelsberry'),
				'id' =>  'wheelsberry_post_single_show_thumb',
				'std' => 'true',
				'type' => 'checkbox',
			),
		                    
			array(
				'name' => esc_html__('Previous/next navigation links', 'wheelsberry'),
				'desc' => esc_html__('Show previous/next links on post pages', 'wheelsberry'),
				'id' =>  'wheelsberry_show_prev_next_post',
				'std' => '',
				'type' => 'checkbox',
			),
		                    
			array(
				'name' => esc_html__('Pagination mode', 'wheelsberry'),
				'desc' => esc_html__('Choose the pagination mode for blog (number of posts per page can be set under "Settings - Reading")', 'wheelsberry'),
				'id' =>  'wheelsberry_blog_pagination',
				'std' => '',
				'options'=>array(
		    	'' => esc_html__('Older/Newer links','wheelsberry'),
		    	'pages' => esc_html__('Links to pages (1, 2, 3, ...)','wheelsberry'),
		    ),
				'type' => 'select',
			),
		
			array(
				"name" => "",
				"message" => esc_html__('Archive/Category Options','wheelsberry'),
				"type" => "subheader",
			),
		
			array(
				'name' => esc_html__('Pull sidebar/slider settings for Archive/Category pages from page:', 'wheelsberry'),
				'desc' => '',
				'id' =>  'wheelsberry_archive_category_page_settings',
				'std' => '',
				'type' => 'select-page',
			),
		                    
			array(
				"name" => "",
				"message" => esc_html__('Frontpage displays latest posts','wheelsberry'),
				"type" => "subheader",
			),
		
			array(
				'name' => esc_html__('Pull sidebar/slider settings for Frontpage from page:', 'wheelsberry'),
				'desc' => esc_html__('Use this option if Frontpage displays latest posts','wheelsberry'),
				'id' =>  'wheelsberry_front_page_settings',
				'std' => '',
				'type' => 'select-page',
			),
		                    
		////////////////////////////////////////////////////////////
		
			array(
				"name" => esc_html__('Lightbox','wheelsberry'),
				"type" => "heading",
			),
		                    
			array(
				'name' => esc_html__('PrettyPhoto Lightbox', 'wheelsberry'),
				'desc' => esc_html__('Check to show navigation chain', 'wheelsberry'),
				'id' =>  'wheelsberry_prettyphoto_lightbox',
				'std' => 'enabled',
				'options'=>array(
					'enabled' => esc_html__('Use Lightbox for images and galleries', 'wheelsberry'),
					'disabled' => esc_html__('Disable Lightbox', 'wheelsberry'),
					'disabled_no_action' => esc_html__('Disable Lightbox and disable click on image in galleries', 'wheelsberry'),
		    ),
				'type' => 'select',
			),
		
			array(
				'name' => '',
				'desc' => esc_html__('Show title', 'wheelsberry'),
				'id' =>  'wheelsberry_prettyphoto_show_title',
				'std' => 'true',
				'type' => 'checkbox',
			),
		                    
			array(
				'name' => '',
				'desc' => esc_html__('Show social buttons', 'wheelsberry'),
				'id' =>  'wheelsberry_prettyphoto_social_tools',
				'std' => 'false',
				'type' => 'checkbox',
			),
		
			array(
				'name' => '',
				'desc' => esc_html__('Overlay gallery on the fullscreen image on mouse over', 'wheelsberry'),
				'id' =>  'wheelsberry_prettyphoto_overlay_gallery',
				'std' => 'false',
				'type' => 'checkbox',
			),
		                    		                    
		                    
		                    
		////////////////////////////////////////////////////////////
		
			array(
				"name" => esc_html__('Breadcrumbs','wheelsberry'),
				"type" => "heading",
			),
		                    
			array(
				'name' => esc_html__('Show breadcrumbs', 'wheelsberry'),
				'desc' => esc_html__('Check to show navigation chain', 'wheelsberry'),
				'id' =>  'wheelsberry_show_breadcrumbs',
				'std' => '',
				'type' => 'checkbox',
			),
		
			array(
				'name' => esc_html__('Breadcrumbs caption', 'wheelsberry'),
				'desc' => '',
				'id' =>  'wheelsberry_breadcrumbs_caption',
				'std' => '',
				'type' => 'text',
			),
		
			array(
				'name' => esc_html__('Current page title', 'wheelsberry'),
				'desc' => esc_html__('Check to include current page title to breadcrumbs', 'wheelsberry'),
				'id' =>  'wheelsberry_breadcrumbs_show_current',
				'std' => '',
				'type' => 'checkbox',
			),
		                    
		
		////////////////////////////////////////////////////////////
		
		
			array(
				"name" => esc_html__('Sidebars','wheelsberry'),
				"type" => "heading",
			),
		
			array(
				"name" => esc_html__('Sidebar position','wheelsberry'),
				"desc" => esc_html__('Select sidebar alignment.','wheelsberry'),
				"id" => "wheelsberry_sidebar_position",
				"std" => "right",
				"type" => "images",
				"options" => array(
					'right' => WHEELSBERRY_TEMPLATE_DIR_URI . '/admin/images/2cr.png',
					'left' => WHEELSBERRY_TEMPLATE_DIR_URI . '/admin/images/2cl.png'
				),
			),
		
		/*						
			array(
				"name" => "",
				"message" => esc_html__('You can set the number of available alternative sidebars, set them up at the "Appearance > Widgets" section and choose for every page one of them at the page settings.','wheelsberry'),
				"type" => "intro",
			),
							
			array(
				"name" => esc_html__('Number of alternative sidebars','wheelsberry'),
				"desc" => '',
				"id" => "wheelsberry_sidebars_num",
				"std" => "3",
				"type" => "text",
			),
		*/
		
			array(
				"name" => esc_html__('Sticky sidebar','wheelsberry'),
				"desc" => esc_html__('Check to enable sidebar sliding up and down while scrolling the page.','wheelsberry'),
				"id" => "wheelsberry_sidebar_sliding",
				"std" => "true",
				"type" => "checkbox",
			),
						
					
		////////////////////////////////////////////////////////////
		
			array(
				"name" => esc_html__('Social icons','wheelsberry'),
				"type" => "heading",
			),
		
			array(
				"name" => esc_html__('Social icons in the footer','wheelsberry'),
				"desc" => esc_html__('Check to display social icons in the footer.','wheelsberry'),
				"id" => 'wheelsberry_social_icons_footer',
				"std" => "true",
				"type" => "checkbox",
			),
								                    
			array(
				"name" => '',
				"message" => esc_html__('Specify necessary links and icons will be shown in the header. Note, that link should begins with http://','wheelsberry'),
				"type" => "intro",
			),
		
			array(
				"name" => '',
				"message" => '<b>'.sprintf(esc_html__('You can set order of icons for the front page %s','wheelsberry'), '<a href="'.esc_url(admin_url('themes.php?page=social_icons_sort')).'">'.esc_html__('here','wheelsberry').'</a>').'</b>',
				"type" => "note",
			),
		
		));
		
		$icons=wheelsberry_social_icons_list();
		foreach($icons as $k=>$v) {
			$options[]=array(
				'name' => $v.' '.esc_html__('link','wheelsberry'),
				'id' =>  'wheelsberry_social_'.$k,
				'std' => '',
				'type' => 'text',
			);
		}                    
		
		////////////////////////////////////////////////////////////
		
		$options=array_merge($options, array(
			array(
				"name" => esc_html__('Visual Composer','wheelsberry'),
				"type" => "heading",
			),
		));
		                    
		if(wheelsberry_wpb_activated()){
			$options=array_merge($options, array(
				array(
					"name" => "",
					"message" => sprintf(esc_html__('Visual Composer can be deactivated via %s.','wheelsberry'), '<a href="'.esc_url(admin_url('plugins.php')).'">'.esc_html__('plugins manager tool','wheelsberry').'</a>'),
					"type" => "note",
				),
									
				array(
					'name' => 'Deactivate Visual Composer Theme`s Addons',
					'desc' => esc_html__('Check this option if you want to deactivate all addons and modifications, provided by the Theme. It can be handy, if you want to use some other addon for Visual Composer, but it cause a conflict.', 'wheelsberry'),
					'id' =>  'wheelsberry_disable_wpb_addons',
					'std' => '',
					'type' => 'checkbox',
				),
			));	                    
		} else {
			$options[]=array(
				"name" => "",
				"message" => sprintf(esc_html__('Visual Composer can be installed and activated via %s.','wheelsberry'), '<a href="'.esc_url(admin_url('themes.php?page=tgmpa-install-plugins')).'">'.esc_html__('theme plugins manager tool','wheelsberry').'</a>'),
				"type" => "note",
			);
		}
		
		////////////////////////////////////////////////////////////
		
		$options=array_merge($options, array(
		
			array(
				"name" => esc_html__('Theme updates','wheelsberry'),
				"type" => "heading",
			),

		));

		if(defined('ENVATO_MARKET_VERSION')){
			$options=array_merge($options, array(
				array(
					"name" => "",
					"message" => sprintf(esc_html__('You can receive theme updates using %s.','wheelsberry'), '<a href="'.esc_url(admin_url('admin.php?page=envato-market')).'">'.esc_html__('Envato Market WordPress Plugin','wheelsberry').'</a>'),
					"type" => "note",
				),
			));
		} else {
			$options=array_merge($options, array(
				array(
					"name" => "",
					"message" => sprintf(esc_html__('To receive theme updates automatically, please, install %s.','wheelsberry'), '<a href="'.esc_url(admin_url('themes.php?page=tgmpa-install-plugins')).'">'.esc_html__('Envato Market WordPress Plugin','wheelsberry').'</a>'),
					"type" => "note",
				),
			));
		}

		////////////////////////////////////////////////////////////

		$options=array_merge($options, array(
		
			array(
				"name" => esc_html__('Custom CSS','wheelsberry'),
				"type" => "heading",
			),
		                    
			array(
				'name' => '',
				'desc' => esc_html__('Here you can add custom CSS code', 'wheelsberry'),
				'id' =>  'wheelsberry_code_custom_css',
				'std' => '',
				'rows' => '20',
				'type' => 'textarea',
			),
		
		));
		
		if(defined('ICL_SITEPRESS_VERSION')) {
			$options=array_merge($options, array(
				array(
					"name" => esc_html__('WPML','wheelsberry'),
					"type" => "heading",
				),
				              
				array(
					'name' => '',
					'desc' => esc_html__('Display WPML language selector in the header', 'wheelsberry'),
					'id' =>  'wheelsberry_show_wpml_language_selector',
					'std' => '',
					'type' => 'checkbox',
				),
			));
		}

		if(isset($args['id_as_key']) && $args['id_as_key']) {
			$options_=array();
			foreach($options as $v) {
				if(isset($v['id'])) {
					$options_[$v['id']]=$v;
				}
			}
			$options=$options_;
		}
				
		return $options;
	}
}




	
