<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<?php if(get_option('wheelsberry_responsive') == 'true') : ?><meta name="viewport" content="width=device-width,initial-scale=1<?php echo ( get_option('wheelsberry_mobile_zoom') == 'true' ? '' : ',maximum-scale=1' ) ?>" /><?php endif; ?>
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?><link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>"><?php endif; ?>
	<?php wp_head(); ?>
</head>
<body <?php body_class() ?>>
	<header id="top" class="header-wrapper">
		<?php $logo_arr=wheelsberry_get_logo(); ?>
		<div class="header header__logo--type-<?php echo esc_attr($logo_arr['logo_type']) ?><?php echo (get_option('wheelsberry_sticky_menu') == 'true' ? ' header__menu--sticky' : '') ?>">
			<div class="om-container">
				<div class="om-container__inner">
					<div class="header__inner">
						<?php if($logo_arr['logo_type'] != 'none') { ?>
						<div class="header__logo<?php echo ( ( $logo_arr['logo_type'] == 'text' && get_option( 'wheelsberry_logo_text_uppercase' ) == 'true' ) ? ' apply-uppercase' : '') ?>" style="<?php echo ( get_option( 'wheelsberry_logo_text_size' ) ? 'font-size:'.esc_attr(get_option( 'wheelsberry_logo_text_size' )).';' : '' ) ?>">
							<?php
								if($logo_arr['logo_type'] == 'image') {
									echo '<a href="' . esc_url( $logo_arr['href'] ) .'">'. $logo_arr['image_block'] .'</a>';
								} elseif($logo_arr['logo_type'] == 'text') {
									echo '<a href="' . esc_url( $logo_arr['href'] ) .'">'. $logo_arr['text_block'] .'</a>';
								}
							?>
						</div>
						<?php } ?>
						<div class="header__menu clearfix<?php echo (get_option('wheelsberry_menu_uppercase')=='true'?' apply-uppercase':'').(get_option('wheelsberry_menu_root_bold')=='true'?' header__menu--root-items-bold':'') ?>">
							<div class="primary-menu-container">
								<?php
									wp_nav_menu( array(
										'theme_location' => 'primary-menu',
										'container' => 'nav',
										'fallback_cb' => 'wheelsberry_primary_menu_fallback',
										'menu_class' => 'primary-menu sf-menu clearfix'
											.(get_option('wheelsberry_show_dropdown_symbol')=='true'?' show-dropdown-symbol':''),
										'walker' => new wheelsberry_Walker_Nav_Menu(),
									) );
								?>
								<?php if ( get_option( 'wheelsberry_show_wpml_language_selector' ) == 'true' && defined('ICL_SITEPRESS_VERSION') ) { ?>
									<div class="header-wpml-selector"><?php do_action('icl_language_selector'); ?></div>
								<?php } ?>
							</div>
							<div class="mobile-menu-control"><span class="mobile-menu-control__l1"></span><span class="mobile-menu-control__l2"></span><span class="mobile-menu-control__l3"></span></div>
							<div class="mobile-menu-container">
								<?php
									wp_nav_menu( array(
										'theme_location' => 'primary-menu',
										'container' => 'nav',
										'fallback_cb' => 'wheelsberry_primary_mobile_menu_fallback',
										'menu_class' => 'primary-mobile-menu sf-menu clearfix'
											.(get_option('wheelsberry_show_dropdown_symbol')=='true'?' show-dropdown-symbol':''),
									) );
								?>
								<?php if ( get_option( 'wheelsberry_show_wpml_language_selector' ) == 'true' && defined('ICL_SITEPRESS_VERSION') ) { ?>
									<div class="header-wpml-selector"><?php do_action('icl_language_selector'); ?></div>
								<?php } ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</header>
