<?php

	$custom_settings=false;	
	$post_title_layout=false;
	
	if($post_id) {
		$post_title_layout=get_post_meta($post_id, 'wheelsberry_page_title', true);
		if($post_title_layout) {
			$custom_settings=true;
		} else {
			$post_title_layout=get_option('wheelsberry_default_page_title');
		}
	} else {
		$post_title_layout=get_option('wheelsberry_default_page_title');
	}
	if(!$post_title_layout) {
		$post_title_layout='standard';
	}

	if($post_title_layout != 'hide') {

		if($custom_settings) {
			$post_title_align=get_post_meta($post_id, 'wheelsberry_title_align', true);
		} else {
			$post_title_align=get_option('wheelsberry_default_title_align');
		}
		
		$post_title_subtitle=get_post_meta($post_id, 'wheelsberry_title_subtitle', true);

		$classes=array(
			'page-title-container',
		);
		$classes[]='page-title-container--'.$post_title_layout;
		
		if($post_title_align) {
			$classes[]='page-title-container--align-'.$post_title_align;
		}

		?>
			<div class="<?php echo esc_attr(implode(' ',$classes)) ?>">
				<div class="om-container">
					<div class="om-container__inner">
						<?php if(get_option('wheelsberry_show_breadcrumbs') == 'true') { ?>
							<?php wheelsberry_breadcrumbs(get_option('wheelsberry_breadcrumbs_caption')) ?>
						<?php } ?>
						<h1 class="page-title entry-title"><?php echo wp_kses($post_title,array('span' => array('class' => array()))) ?></h1>
						<?php if($post_title_subtitle != '') { ?>
							<div class="page-title-subtitle"><?php echo esc_html($post_title_subtitle) ?></div>
						<?php } ?>
					</div>
				</div>
			</div>		
		<?php
		
	}
	
	
	