<?php
	$rent_options_query = new WP_Query('post_type=om-rent-option&posts_per_page=-1&orderby=menu_order&order=ASC');
	$car=get_post($data['car-model']);
?>
<div class="your-booking__car content-pane">
	<div class="om-container__inner">
		<div class="your-booking__car-header">
			<div class="your-booking__car-info">
				<?php
					$categories=get_the_terms($car->ID, 'om-car-type');
					if($categories) {
						$categories_=array();
						foreach($categories as $v) {
							$categories_[]=$v->name;
						}
						echo '<div class="your-booking__car-category">'.implode(', ',$categories_).'</div>';
					}
				?>
				<h3 class="your-booking__car-model"><?php echo esc_html(get_the_title($car)) ?></h3>
				<?php
					$price=get_post_meta($car->ID, 'omcr_car_price', true);
					if($price != '') {
						$price_type=get_post_meta($car->ID, 'omcr_car_price_type', true);
						echo '<div class="your-booking__car-price">'.($price_type == 'from' ? '<span class="your-booking__car-price-from">'.esc_html__( 'from', 'wheelsberry' ).' </span>' : '').'<span class="your-booking__car-price-value">'.omce_html_format_price($price).'</span><span class="your-booking__car-price-period"> '.esc_html__( 'day', 'wheelsberry' ).'</span></div>';
					}
				?>
			</div>
			<div class="your-booking__car-dates">
				<span class="your-booking__car-date-pick-up"><?php echo esc_html($data['pick-up-date']) ?></span><span class="your-booking__car-date-sep"> &mdash; </span><span class="your-booking__car-date-drop-off"><?php echo esc_html($data['drop-off-date']) ?></span>
			</div>
		</div>
	</div>
	<?php
		if( has_post_thumbnail($car->ID) ) {
			$src=wp_get_attachment_image_src(get_post_thumbnail_id($car->ID), 'full');
			if($src) {
				echo '<div class="your-booking__car-image"><img src="'.esc_url($src[0]).'" alt="'.esc_attr(get_the_title($car)).'" /></div>';
			}
		}
	?>
	<div class="your-booking__car-options">
		<div class="om-container__inner">
		<?php
		    $options = function_exists('omcr_get_car_options') ? omcr_get_car_options() : array();
			foreach($options as $k=>$v) {
				$val=get_post_meta($car->ID, 'omcr_car_'.$k, true);
				if($val != '') {
					echo '<div class="your-booking__car-option car-option-'.esc_attr($k).'"><span class="your-booking__car-option-label">'.esc_html($v).': </span><span class="your-booking__car-option-value">'.esc_html($val).'</span></div>';
				}
			}
		?>
		</div>
	</div>
</div>
<div class="your-booking__extras content-pane">
	<div class="your-booking__extras-options">
		<div class="om-container__inner">
			<h4 class="your-booking__extras-title"><?php esc_html_e( 'Extras', 'wheelsberry' ) ?></h4>
			<?php while( $rent_options_query->have_posts() ) : $rent_options_query->the_post(); ?>
				<?php
					$option_id = get_the_ID();
					$option_availability = get_post_meta( $option_id, 'omcr_rent_option_availability', true );
					if ( $option_availability == 'selected' ) {
						$option_availability_cars = get_post_meta( $option_id, 'omcr_rent_option_availability_cars', true );
						if ( ! isset( $option_availability_cars[ $car->ID ] ) || ! $option_availability_cars[ $car->ID ] ) {
							continue;
						}
					}
					$option_description = get_post_meta( $option_id, 'omcr_rent_option_description', true );
				?>
				<div class="rent-option-item">
					<span class="om-checkbox"><input type="checkbox" name="rent_option[<?php the_ID(); ?>]" value="1" id="rent_option_<?php the_ID(); ?>"><label class="om-checkbox-label" for="rent_option_<?php the_ID(); ?>"></label></span>
					<label class="rent-option-label" for="rent_option_<?php the_ID(); ?>">
						<span class="rent-option-name"><?php the_title(); ?></span>
						<?php if($option_description != '') { ?>
							<span class="rent-option-description-link" rel="rent_option_<?php the_ID(); ?>"></span>
						<?php } ?>
						<span class="rent-option-price">
							<?php
								$price=get_post_meta(get_the_ID(), 'omcr_rent_option_price', true);
								if($price != '') {
									echo omce_html_format_price($price);
									$price_period=get_post_meta(get_the_ID(), 'omcr_rent_option_price_period', true);
									if($price_period != '') {
										echo '<span class="rent-option-price-period">'.esc_html($price_period).'</span>';
									}
								}
							?>
						</span>
					</label>
				</div>
				<?php if($option_description != '') { ?>
					<div class="rent-option-description" rel="rent_option_<?php the_ID(); ?>"><?php echo wp_kses_post(wpautop($option_description)); ?></div>
				<?php } ?>
			<?php endwhile; ?>
		</div>
	</div>
	<?php if( '' != ($note = get_option('omcr_booking_note')) ) { ?>
	<div class="your-booking__extras-note">
		<div class="om-container__inner">
			<?php echo wp_kses_post(wpautop($note)) ?>
		</div>
	</div>
	<?php } ?>
</div>