<?php

wp_enqueue_style('select2');
wp_enqueue_script('select2');
wp_enqueue_script('jquery-ui-datepicker');

$form_title=get_post_meta($post_id, 'wheelsberry_reservation_form_title', true);
$form_subtitle=get_post_meta($post_id, 'wheelsberry_reservation_form_subtitle', true);
$cars_query->rewind_posts();
$custom_location=get_option('omcr_booking_custom_location');
if($custom_location != 'only') {
	$locations_query = new WP_Query('post_type=om-car-location&posts_per_page=-1&orderby=menu_order&order=ASC');
}
$time_from=intval(get_option('omcr_booking_time_from'));
$time_to=intval(get_option('omcr_booking_time_to'));
if(!$time_to) {
	$time_to=85500;
}
$time_default=get_option('omcr_booking_time_default');
if($time_default === false) {
	$time_default=43200;
}

?>
	<div class="reservation reservation--<?php echo esc_attr($display_form)?>" id="reservation">
		<div class="reservation-form">
			<div class="om-container">
				<div class="om-container__inner">
					<div class="reservation-form__inner">
						<?php if($form_title != '' || $form_subtitle != '') { ?>
							<div class="reservation-form__titles">
								<?php if($form_title != '') { ?><h2 class="reservation-form__title"><?php echo esc_html($form_title) ?></h2> <?php } ?>
								<?php if($form_subtitle != '') { ?><div class="h-subtitle reservation-form__subtitle"><?php echo esc_html($form_subtitle) ?></div> <?php } ?>
							</div>
						<?php } ?>
						<form id="reservation-form-step-1">
                            <?php if(isset($single_car_form) && $single_car_form && $cars_query->have_posts()) { $cars_query->the_post(); ?>
                                <input type="hidden" id="reservation-form__car-select" name="car-model" value="<?php the_ID(); ?>" data-car-model-name="<?php echo esc_attr(get_the_title()); ?>">
                            <?php } else { ?>
							<div class="reservation-form__line reservation-form__car">
								<div class="reservation-form__field-inner">
									<select class="reservation-form__car-select" id="reservation-form__car-select" name="car-model">
										<option></option>
										<?php while( $cars_query->have_posts() ) : $cars_query->the_post(); ?>
											<option value="<?php the_ID(); ?>"><?php the_title(); ?></option>
										<?php endwhile; ?>
									</select>
									<div class="reservation-form__car-select-label" id="reservation-form__car-select-label"><?php esc_html_e( 'Choose a car', 'wheelsberry' ) ?></div>
								</div>
							</div>
                            <?php } ?>
							<div class="reservation-form__more">
								<div class="reservation-form__line reservation-form__set reservation-form__pick-up">
									<div class="reservation-form__pick-up-location reservation-form__location">
										<div class="reservation-form__field-inner">
											<?php if($custom_location == 'only') { ?>
												<label for="reservation-form__pick-up-location" class="reservation-form__label reservation-form__pick-up-location-label reservation-form__location-label"><?php esc_html_e( 'Pick-up', 'wheelsberry' ) ?></label>
												<input type="text" name="pick-up-location" class="reservation-form__pick-up-custom" id="reservation-form__pick-up-location" placeholder="<?php esc_attr_e( 'Type in a location', 'wheelsberry' ) ?>">
											<?php } else { ?>
												<label for="reservation-form__pick-up-location-select" class="reservation-form__label reservation-form__pick-up-location-label reservation-form__location-label"><?php esc_html_e( 'Pick-up', 'wheelsberry' ) ?></label>
												<select name="pick-up-location" class="reservation-form__pick-up-location-select<?php echo ($custom_location == 'add' ? ' with-custom' : '') ?>" id="reservation-form__pick-up-location-select" data-placeholder="<?php esc_attr_e( 'Choose a location', 'wheelsberry' ) ?>">
													<option></option>
													<?php if($custom_location == 'add') { ?>
														<option value="custom"><?php echo esc_html(get_option('omcr_booking_custom_location_label')); ?></option>
													<?php } ?>
													<?php while( $locations_query->have_posts() ) : $locations_query->the_post(); ?>
														<option value="<?php the_ID(); ?>"><?php the_title(); ?></option>
													<?php endwhile; ?>
												</select>
												<?php if($custom_location == 'add') { ?>
													<div class="reservation-form__custom-location-wrapper reservation-form__pick-up-custom-wrapper"><input type="text" name="pick-up-location-custom" class="reservation-form__pick-up-custom" id="reservation-form__pick-up-location-custom" placeholder="<?php esc_attr_e( 'Type in a location', 'wheelsberry' ) ?>"><span class="dropdown-arrow"></span></div>
												<?php } ?>
											<?php } ?>
										</div>
									</div>
									<div class="reservation-form__pick-up-date reservation-form__date">
										<div class="reservation-form__field-inner">
											<label for="reservation-form__pick-up-date-input" class="reservation-form__label reservation-form__pick-up-date-label reservation-form__date-label"><?php esc_html_e( 'Pick-up', 'wheelsberry' ) ?></label>
											<div class="reservation-form__date-wrapper">
												<input type="text" name="pick-up-date" readonly="readonly" placeholder="<?php esc_attr_e( 'Choose a date', 'wheelsberry' ) ?>" class="reservation-form__pick-up-date-input" id="reservation-form__pick-up-date-input" data-date-format="<?php echo esc_attr(wheelsberry_date_format_wp_to_js(get_option('date_format'))) ?>" />
											</div>
										</div>
									</div>
									<div class="reservation-form__pick-up-time reservation-form__time">
										<div class="reservation-form__field-inner">
											<select name="pick-up-time" class="reservation-form__pick-up-time-select" id="reservation-form__pick-up-time-select">
												<?php
												$time_format=get_option('time_format');
												for($i=$time_from;$i<=$time_to;$i+=900) {
													$time=date($time_format, $i);
													echo '<option value="'.esc_attr($time).'"'.($i==$time_default ? ' selected="selected"' : '').'>'.esc_html($time).'</option>';
												}
												?>
											</select>
										</div>
									</div>
								</div>
								<div class="reservation-form__line reservation-form__set reservation-form__drop-off">
									<div class="reservation-form__drop-off-location reservation-form__location">
										<div class="reservation-form__field-inner">
											<?php if($custom_location == 'only') { ?>
												<label for="reservation-form__drop-off-location" class="reservation-form__label reservation-form__drop-off-location-label reservation-form__location-label"><?php esc_html_e( 'Drop-off', 'wheelsberry' ) ?></label>
												<input type="text" name="drop-off-location" class="reservation-form__drop-off-custom" id="reservation-form__drop-off-location" placeholder="<?php esc_attr_e( 'Type in a location', 'wheelsberry' ) ?>">
											<?php } else { ?>
												<label for="reservation-form__drop-off-location-select" class="reservation-form__label reservation-form__drop-off-location-label reservation-form__location-label"><?php esc_html_e( 'Drop-off', 'wheelsberry' ) ?></label>
												<select name="drop-off-location" class="reservation-form__drop-off-location-select<?php echo ($custom_location == 'add' ? ' with-custom' : '') ?>" id="reservation-form__drop-off-location-select" data-placeholder="<?php esc_attr_e( 'Choose a location', 'wheelsberry' ) ?>">
													<option></option>
													<?php if($custom_location == 'add') { ?>
														<option value="custom"><?php echo esc_html(get_option('omcr_booking_custom_location_label')); ?></option>
													<?php } ?>
													<?php $locations_query->rewind_posts(); while( $locations_query->have_posts() ) : $locations_query->the_post(); ?>
														<option value="<?php the_ID(); ?>"><?php the_title(); ?></option>
													<?php endwhile; ?>
												</select>
												<?php if($custom_location == 'add') { ?>
													<div class="reservation-form__custom-location-wrapper reservation-form__drop-off-custom-wrapper"><input type="text" name="drop-off-location-custom" class="reservation-form__drop-off-custom" id="reservation-form__drop-off-location-custom" placeholder="<?php esc_attr_e( 'Type in a location', 'wheelsberry' ) ?>"><span class="dropdown-arrow"></span></div>
												<?php } ?>
											<?php } ?>
										</div>
									</div>
									<div class="reservation-form__drop-off-date reservation-form__date">
										<div class="reservation-form__field-inner">
											<label for="reservation-form__drop-off-date-input" class="reservation-form__label reservation-form__drop-off-date-label reservation-form__date-label"><?php esc_html_e( 'Drop-off', 'wheelsberry' ) ?></label>
											<div class="reservation-form__date-wrapper">
												<input type="text" name="drop-off-date" readonly="readonly" placeholder="<?php esc_attr_e( 'Choose a date', 'wheelsberry' ) ?>" class="reservation-form__drop-off-date-input" id="reservation-form__drop-off-date-input" data-date-format="<?php echo esc_attr(wheelsberry_date_format_wp_to_js(get_option('date_format'))) ?>" />
											</div>
										</div>
									</div>
									<div class="reservation-form__drop-off-time reservation-form__time">
										<div class="reservation-form__field-inner">
											<select name="drop-off-time" class="reservation-form__drop-off-time-select" id="reservation-form__drop-off-time-select">
												<?php
												$time_format=get_option('time_format');
												for($i=$time_from;$i<=$time_to;$i+=900) {
													$time=date($time_format, $i);
													echo '<option value="'.esc_attr($time).'"'.($i==$time_default ? ' selected="selected"' : '').'>'.esc_html($time).'</option>';
												}
												?>
											</select>
										</div>
									</div>
								</div>
								<div class="reservation-form__line reservation-form__required-notice">
									<div class="reservation-form__field-inner">
										<div class="reservation-form__required-notice-box"><?php esc_html_e( 'Please fill in all required fields.', 'wheelsberry' ) ?></div>
									</div>
								</div>
								<div class="reservation-form__line reservation-form__submit">
									<div class="reservation-form__field-inner">
										<input type="submit" class="reservation-form__submit-button" id="reservation-form__submit-button" value="<?php esc_attr_e( 'Continue booking', 'wheelsberry' ) ?>" />
										<img src="<?php echo omfw_Framework::svg_url_data('<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 48 48" width="28" height="28">
<circle class="path" cx="24" cy="24" r="20" fill="none" stroke="#fff" stroke-width="4">
  <animate attributeName="stroke-dasharray" attributeType="XML" from="1,200" to="89,200" values="1,200; 89,200; 89,200" keyTimes="0; 0.5; 1" dur="1.5s" repeatCount="indefinite" />
  <animate attributeName="stroke-dashoffset" attributeType="XML" from="0" to="-124" values="0; -35; -124" keyTimes="0; 0.5; 1" dur="1.5s" repeatCount="indefinite" />
  <animateTransform attributeName="transform" attributeType="XML" type="rotate" from="0 24 24" to="360 24 24" dur="3s" repeatCount="indefinite"/>
</circle>
</svg>') ?>" class="ajax-loading" alt="" />
									</div>
								</div>
							</div>
						</form>
						<div class="booking-success-message" id="booking-success-message">
							<?php echo wp_kses_post(wpautop( get_option('omcr_booking_success_message') )) ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="your-booking" id="your-booking">
			<div class="om-container">
				<div class="om-container__inner">
					<div class="your-booking__titles">
						<h2 class="your-booking__title"><?php esc_html_e( 'Your Quote Request', 'wheelsberry' ) ?></h2>
						<div class="h-subtitle your-booking__subtitle"><?php esc_html_e( 'Please, check your booking', 'wheelsberry' ) ?></div>
					</div>
				</div>
				<div class="your-booking__details">
					<?php /* generated by ajax request */ ?>
				</div>
				<div class="your-booking__personal">
					<div class="content-pane">
						<div class="om-container__inner">
							<h4 class="your-booking__personal-title"><?php esc_html_e( 'Personal Information', 'wheelsberry' ) ?></h4>
							<?php
							echo do_shortcode('[contact-form-7 id="'.esc_attr($cf7_form).'"]');
							?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
<?php
wp_reset_postdata();