<?php

if(isset($GLOBALS['omCarRentalPlugin'])) {

	global $post;

	$display_slider=get_post_meta($post_id, 'wheelsberry_cars_slider', true);
	$cf7_form=get_post_meta($post_id, 'wheelsberry_reservation_cf7_form', true);
	if($cf7_form) {
		$display_form=get_post_meta($post_id, 'wheelsberry_reservation_form', true);
	} else {
		$display_form=false;
	}
	
	if($display_slider && $cf7_form && empty($display_form)) {
		$display_form='hidden';
	}

	$cars_query = new WP_Query('post_type=om-car&posts_per_page=-1&orderby=menu_order&order=ASC');

	if($cars_query->have_posts()) {

		if($display_slider) {
			
			wp_enqueue_style( 'owl-carousel' );
			wp_enqueue_script( 'owl-carousel' );
			$carousel_options = array();
			$slider_autoplay=get_post_meta($post_id, 'wheelsberry_cars_slider_autoplay', true);
			if($slider_autoplay == 1 || $slider_autoplay == 2) {
				$slider_autoplay_interval=intval(get_post_meta($post_id, 'wheelsberry_cars_slider_autoplay_interval', true));
				if(!$slider_autoplay_interval) {
					$slider_autoplay_interval = 7;
                }
				$carousel_options['autoplay'] = true;
				$carousel_options['loop'] = true;
				$carousel_options['autoplayTimeout'] = $slider_autoplay_interval * 1000;
				if($slider_autoplay == 1) {
					$carousel_options['autoplayHoverPause'] = true;
                }
            }

			$slider_title=get_post_meta($post_id, 'wheelsberry_cars_slider_title', true);
			$slider_subtitle=get_post_meta($post_id, 'wheelsberry_cars_slider_subtitle', true);
			?>
			<div class="cars-slider" id="cars-slider">
				<?php if($slider_title != '' || $slider_subtitle != '') { ?>
					<div class="car-slider__title-wrapper om-container">
						<div class="om-container__inner">
							<?php if($slider_title != '') { ?><h2 class="cars-slider__title"><?php echo esc_html($slider_title) ?></h2><?php } ?>
							<?php if($slider_subtitle != '') { ?><div class="h-subtitle cars-slider__subtitle"><?php echo esc_html($slider_subtitle) ?></div><?php } ?>
						</div>
					</div>
				<?php } ?>
				<div class="cars-slider__inner owl-carousel" data-carousel-options="<?php echo esc_attr(json_encode($carousel_options)) ?>">
				<?php while( $cars_query->have_posts() ) : $cars_query->the_post(); ?>
					<?php if( get_post_meta($post->ID, 'omcr_hide_in_slider', true) == 1) { continue; } ?>
					<?php include locate_template( 'includes/slider-car-item.php' ); ?>
				<?php endwhile; ?>
				</div>
			</div>
			<?php
			wp_reset_postdata(); 
		}
		
		if($display_form) {
            include locate_template( 'includes/reservation-form-step-1.php' );
		}
		
	}
}
	
	