<?php
/*
Template Name: Blog
*/
$page_slider=wheelsberry_get_page_slider($post->ID);
wheelsberry_custom_sidebar_setup($post->ID);
get_header();
?>
	<?php if(isset($page_slider) && $page_slider && $page_slider['layout'] != 'below') wheelsberry_tpl_header_slider($page_slider) ?>
	<?php wheelsberry_tpl_reservation_form($post->ID) ?>
	<?php if(isset($page_slider) && $page_slider && $page_slider['layout'] == 'below') wheelsberry_tpl_header_slider($page_slider) ?>
	<div class="content">
		<?php wheelsberry_tpl_page_title($post->ID, the_title('','',false)) ?>
		<div class="content-columns om-container">
			<div class="content-columns__content">
				<div class="content-columns__content-inner">
					<?php
						if ( get_query_var('paged') ) {
							$paged = get_query_var('paged');
						} elseif ( is_front_page() && get_query_var('page') ) {
							$paged = get_query_var('page');
						} else {
							$paged = 1;
						}
						$args=array(
							'posts_per_page' => get_option('posts_per_page'),
							'paged' => $paged,
						);
						
						$categories=get_post_meta($post->ID, 'wheelsberry_blog_categories', true);
						if($categories) {
							$categories_=array();
							$categories=explode(',',$categories);
							foreach($categories as $v) {
								$v=intval($v);
								if($v)
									$categories_[]=$v;
							}
							if(!empty($categories_))
								$args['cat']=implode(',',$categories_);
						}
					
						global $wp_query, $more;
						$original_wp_query = $wp_query;
						$original_more = $more;
						$wp_query = new WP_Query($args);
						$more = 0;
					?>
					<?php if (have_posts()) : ?>
				
						<div class="blog-posts">
						<section>
	
							<?php while (have_posts()) : the_post(); ?>
							
						    <?php 
			
									$format = get_post_format(); 
									if( false === $format ) {
										$format = 'standard';
									}
									wheelsberry_tpl_blog_post($format);
									
						    ?>
							
							<?php endwhile; ?>		
							
						</section>
						</div>
						
						<?php
							if(get_option('wheelsberry_blog_pagination') == 'pages') {

								echo wheelsberry_wrap_paginate_links ( paginate_links( wheelsberry_paginate_links_args() ) );
		
							} else {
							
								$nav_newer=get_previous_posts_link(esc_html__('Newer Entries', 'wheelsberry'));
								$nav_older=get_next_posts_link(esc_html__('Older Entries', 'wheelsberry'));
								if( $nav_newer || $nav_older ) {
									echo wheelsberry_prev_next_nav ($nav_older, $nav_newer);
								}		
								
							}
						?>
					
					<?php else : ?>
		
								<h2><?php esc_html_e('Error 404 - Not Found', 'wheelsberry') ?></h2>
								<p><?php esc_html_e('Sorry, but you are looking for something that isn\'t here.', 'wheelsberry') ?></p>
					
					<?php endif; //if (have_posts()) ?>	
					
					<?php
						$more = $original_more;
						$wp_query = $original_wp_query;
						wp_reset_postdata();
					?>
				</div>
			</div>
			<?php get_sidebar(); ?>
		</div>
	</div>
<?php get_footer(); ?>