<?php

add_action( 'vc_before_init', 'wheelsberry_wpb_map_shortcodes' );

function wheelsberry_wpb_map_shortcodes() {

	/**
	 * Reduce Space
	 */
	
	vc_map( array(
		'name' => esc_html__('Reduce Empty Space', 'wheelsberry'),
		'description'  => esc_html__('Use it between elements to reduce empty space', 'wheelsberry'),
		'base' => 'om_reduce_space',
		'icon' => 'om-wpb-icon-reduce-space',
		'category' => array(esc_html__( 'Content', 'wheelsberry' )),
		'params' => array(
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Height of the space to reduce', 'wheelsberry'),
				'param_name' => 'height',
				'value' => '40px',
				'admin_label' => true,
				'description'  => esc_html__('Specify height of the space to reduce in pixels or any other CSS measurement unit', 'wheelsberry'),
			),
			array(
				'type' => 'checkbox',
				'heading' => esc_html__( 'Hide on mobile devices', 'wheelsberry' ),
				'value' => array( esc_html__( 'Yes, please', 'wheelsberry' ) => 'yes' ),
				'param_name' => 'mobile_hide',
			),
		),
	));
	
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_Om_Reduce_Space extends WPBakeryShortCode {
		}
	}
	
	/**
	 * Services
	 */
	
	vc_map( array(
		'name' => esc_html__('Services Slider', 'wheelsberry'),
		'base' => 'om_services',
		'icon' => 'om-wpb-icon-services',
		'as_parent' => array('only' => 'om_services_item'),
		'category' => array(esc_html__( 'Content', 'wheelsberry' )),
		'content_element' => true,
		'show_settings_on_create' => false,
		'params' => array(
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Custom background top padding', 'wheelsberry'),
				'param_name' => 'top_padding',
				'description' => esc_html__('Space between top of the slide and description pane. Leave empty for default.', 'wheelsberry')
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Custom background bottom padding', 'wheelsberry'),
				'param_name' => 'bottom_padding',
				'description' => esc_html__('Space between bottom of the slide and description pane. Leave empty for default.', 'wheelsberry')
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Extra class name', 'wheelsberry'),
				'param_name' => 'el_class',
				'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'wheelsberry')
			),
		),
		'js_view' => 'VcColumnView'
	));
	
	vc_map( array(
		'name' => esc_html__('Services Slide', 'wheelsberry'),
		'base' => 'om_services_item',
		'icon' => 'om-wpb-icon-services-item',
		'content_element' => true,
		'as_child' => array('only' => 'om_services'),
		'params' => array(
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Title', 'wheelsberry' ),
				'param_name' => 'title',
				'admin_label' => true,
			),
			array(
				'type' => 'textarea',
				'heading' => esc_html__( 'Description', 'wheelsberry' ),
				'param_name' => 'content',
			),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Background image', 'wheelsberry'),
				'param_name' => 'bg_image',
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Background image position', 'wheelsberry'),
				'param_name' => 'bg_image_pos',
				'value' => array(
					esc_html__('Contain', 'wheelsberry') => 'contain',
					esc_html__('Cover', 'wheelsberry') => 'cover',
				),
				'dependency' => array(
					'element' => 'bg_image',
					'not_empty' => true,
				),
			),
			array(
				'type' => 'vc_link',
				'heading' => esc_html__( 'Link', 'wheelsberry' ),
				'param_name' => 'link',
				'description' => esc_html__( 'Link to some page from this item if needed.', 'wheelsberry' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Extra class name', 'wheelsberry'),
				'param_name' => 'el_class',
				'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'wheelsberry')
			),
		),
	));
	
	if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
		class WPBakeryShortCode_Om_Services extends WPBakeryShortCodesContainer {
		}
	}
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_Om_Services_Item extends WPBakeryShortCode {
		}
	}

	/**
	 * About
	 */
	
	vc_map( array(
		'name' => esc_html__('About Slider', 'wheelsberry'),
		'base' => 'om_about',
		'icon' => 'om-wpb-icon-about',
		'as_parent' => array('only' => 'om_about_item'),
		'category' => array(esc_html__( 'Content', 'wheelsberry' )),
		'content_element' => true,
		'show_settings_on_create' => false,
		'params' => array(
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Extra class name', 'wheelsberry'),
				'param_name' => 'el_class',
				'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'wheelsberry')
			),
		),
		'js_view' => 'VcColumnView'
	));
	
	vc_map( array(
		'name' => esc_html__('About Slide', 'wheelsberry'),
		'base' => 'om_about_item',
		'icon' => 'om-wpb-icon-about-item',
		'content_element' => true,
		'as_child' => array('only' => 'om_about'),
		'params' => array_merge(
			array(
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Title', 'wheelsberry' ),
					'param_name' => 'title',
					'admin_label' => true,
				),
				array(
					'type' => 'textarea',
					'heading' => esc_html__( 'Description', 'wheelsberry' ),
					'param_name' => 'content',
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__('Add to description', 'wheelsberry'),
					'param_name' => 'content_block',
					'value' => array(
						esc_html__('Nothing', 'wheelsberry') => '',
						esc_html__('Image', 'wheelsberry') => 'img',
						esc_html__('Icon', 'wheelsberry') => 'icon',
						esc_html__('Counter', 'wheelsberry') => 'counter',
					),
				),
				array(
					'type' => 'attach_image',
					'heading' => esc_html__('Description Image', 'wheelsberry'),
					'param_name' => 'content_img',
					'dependency' => array(
						'element' => 'content_block',
						'value' => array('img'),
					),
					'group' => esc_html__('Description Image', 'wheelsberry'),
				),
			),
			wheelsberry_wpb_icon_params( false, array('element' => 'content_block','value' => array('icon')), array(), esc_html__('Description Icon', 'wheelsberry') ),
			array(
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Icon size', 'wheelsberry' ),
					'description' => esc_html__( 'Size in pixels.', 'wheelsberry' ),
					'param_name' => 'icon_size',
					'value' => '80',
					'dependency' => array(
						'element' => 'content_block',
						'value' => array('icon'),
					),
					'group' => esc_html__('Description Icon', 'wheelsberry'),
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Counter title', 'wheelsberry' ),
					'param_name' => 'counter_title',
					'dependency' => array(
						'element' => 'content_block',
						'value' => array('counter'),
					),
					'group' => esc_html__('Description Counter', 'wheelsberry'),
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Counter value', 'wheelsberry' ),
					'param_name' => 'counter_value',
					'dependency' => array(
						'element' => 'content_block',
						'value' => array('counter'),
					),
					'group' => esc_html__('Description Counter', 'wheelsberry'),
				),
				array(
					'type' => 'attach_image',
					'heading' => esc_html__('Slide image', 'wheelsberry'),
					'param_name' => 'img',
				),
				array(
					'type' => 'vc_link',
					'heading' => esc_html__( 'Link', 'wheelsberry' ),
					'param_name' => 'link',
					'description' => esc_html__( 'Link to some page from this item if needed.', 'wheelsberry' )
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Extra class name', 'wheelsberry'),
					'param_name' => 'el_class',
					'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'wheelsberry')
				),
			)
		),
	));
	
	if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
		class WPBakeryShortCode_Om_About extends WPBakeryShortCodesContainer {
		}
	}
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_Om_About_Item extends WPBakeryShortCode {
		}
	}
	
	/**
	 * Testimonials
	 */
	
	vc_map( array(
		'name' => esc_html__('Testimonials Slider', 'wheelsberry'),
		'base' => 'om_testimonials',
		'icon' => 'om-wpb-icon-testimonials',
		'as_parent' => array('only' => 'om_testimonials_item'),
		'category' => array(esc_html__( 'Content', 'wheelsberry' )),
		'content_element' => true,
		'show_settings_on_create' => false,
		'params' => array(
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Extra class name', 'wheelsberry'),
				'param_name' => 'el_class',
				'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'wheelsberry')
			),
		),
		'js_view' => 'VcColumnView'
	));
	
	vc_map( array(
		'name' => esc_html__('Testimonial', 'wheelsberry'),
		'base' => 'om_testimonials_item',
		'icon' => 'om-wpb-icon-testimonials-item',
		'content_element' => true,
		'as_child' => array('only' => 'om_testimonials'),
		'params' => array(
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Author', 'wheelsberry' ),
				'param_name' => 'author',
				'admin_label' => true,
			),
			array(
				'type' => 'textarea',
				'heading' => esc_html__( 'Testimonial', 'wheelsberry' ),
				'param_name' => 'content',
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Extra class name', 'wheelsberry'),
				'param_name' => 'el_class',
				'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'wheelsberry')
			),
		),
	));
	
	if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
		class WPBakeryShortCode_Om_Testimonials extends WPBakeryShortCodesContainer {
		}
	}
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_Om_Testimonials_Item extends WPBakeryShortCode {
		}
	}
	
	/**
	 * Persons
	 */
	
	vc_map( array(
		'name' => esc_html__('Persons Slider', 'wheelsberry'),
		'base' => 'om_persons',
		'icon' => 'om-wpb-icon-persons',
		'as_parent' => array('only' => 'om_persons_item'),
		'category' => array(esc_html__( 'Content', 'wheelsberry' )),
		'content_element' => true,
		'show_settings_on_create' => false,
		'params' => array(
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Extra class name', 'wheelsberry'),
				'param_name' => 'el_class',
				'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'wheelsberry')
			),
		),
		'js_view' => 'VcColumnView'
	));
	
	vc_map( array(
		'name' => esc_html__('Person', 'wheelsberry'),
		'base' => 'om_persons_item',
		'icon' => 'om-wpb-icon-persons-item',
		'content_element' => true,
		'as_child' => array('only' => 'om_persons'),
		'params' => array(
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Name', 'wheelsberry' ),
				'param_name' => 'name',
				'admin_label' => true,
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Post', 'wheelsberry' ),
				'param_name' => 'post',
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Phone', 'wheelsberry' ),
				'param_name' => 'phone',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Email', 'wheelsberry' ),
				'param_name' => 'email',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Photo', 'wheelsberry'),
				'param_name' => 'img',
			),
			array(
				'type' => 'checkbox',
				'heading' => esc_html__( 'Place image over/outside the border?', 'wheelsberry' ),
				'param_name' => 'img_stand_out',
				'value' => array( esc_html__( 'Yes, please', 'wheelsberry' ) => 'yes' ),
				'dependency' => array(
					'element' => 'img',
					'not_empty' => true,
				),
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Horisontal offset of the photo', 'wheelsberry' ),
				'param_name' => 'img_offset_x',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
				'dependency' => array(
					'element' => 'img_stand_out',
					'not_empty' => true,
				),
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Vertical offset of the photo', 'wheelsberry' ),
				'param_name' => 'img_offset_y',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
				'dependency' => array(
					'element' => 'img_stand_out',
					'not_empty' => true,
				),
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Extra class name', 'wheelsberry'),
				'param_name' => 'el_class',
				'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'wheelsberry')
			),
		),
	));
	
	if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
		class WPBakeryShortCode_Om_Persons extends WPBakeryShortCodesContainer {
		}
	}
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_Om_Persons_Item extends WPBakeryShortCode {
		}
	}
	
	/**
	 * Logos
	 */

	vc_map( array(
		'name' => esc_html__( 'Logos', 'wheelsberry' ),
		'base' => 'om_logos',
		'icon' => 'om-wpb-icon-logos',
		'category' => array(esc_html__( 'Content', 'wheelsberry' )),
		'description' => esc_html__( 'Align set of logotypes', 'wheelsberry' ),
		'params' => array(
			array(
				'type' => 'attach_images',
				'heading' => esc_html__('Images','wheelsberry'),
				'description' => esc_html__( 'Choose image to display.', 'wheelsberry' ),
				'param_name' => 'images',
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Image size', 'wheelsberry' ),
				'param_name' => 'img_size',
				'description' => esc_html__( 'Enter image size. Example: "thumbnail", "medium", "large", "full" or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "full" size.', 'wheelsberry' )
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Layout','wheelsberry'),
				'param_name' => 'layout',
				'value' => array(
					esc_html__('Display all', 'wheelsberry') => 'full',
					esc_html__('Carousel', 'wheelsberry') => 'carousel',
				),
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('On click','wheelsberry'),
				'param_name' => 'onclick',
				'value' => array(
					esc_html__('Do nothing', 'wheelsberry') => 'no',
					esc_html__('Open custom link', 'wheelsberry') => 'custom_link',
					esc_html__('Open link, defined in the "Description" field of an image', 'wheelsberry') => 'description',
				),
			),
			array(
				'type' => 'exploded_textarea',
				'heading' => esc_html__( 'Custom links', 'wheelsberry' ),
				'param_name' => 'custom_links',
				'description' => esc_html__( 'Enter links for each image. Divide links with linebreaks (Enter) . ', 'wheelsberry' ),
				'dependency' => array(
					'element' => 'onclick',
					'value' => array( 'custom_link' )
				)
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Link target', 'wheelsberry' ),
				'param_name' => 'links_target',
				'description' => esc_html__( 'Select where to open custom links.', 'wheelsberry' ),
				'dependency' => array(
					'element' => 'onclick',
					'value' => array( 'custom_link', 'description' ),
				),
				'value' => array(
					esc_html__( 'Same window', 'wheelsberry' ) => '_self',
					esc_html__( 'New window', 'wheelsberry' ) => '_blank',
				),
			),
			array(
				'type' => 'checkbox',
				'heading' => esc_html__( 'Apply grayscale filter?', 'wheelsberry' ),
				'param_name' => 'grayscale',
				'value' => array( esc_html__( 'Yes, please', 'wheelsberry' ) => 'yes' ),
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Extra class name', 'wheelsberry'),
				'param_name' => 'el_class',
				'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'wheelsberry')
			),
		),
	));
	
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_om_logos extends WPBakeryShortCode {

		}
	}
	
	/**
	 * Rental Locations
	 */

	vc_map( array(
		'name' => esc_html__( 'Rental Locations', 'wheelsberry' ),
		'base' => 'om_rental_locations',
		'icon' => 'om-wpb-icon-locations',
		'category' => array(esc_html__( 'Content', 'wheelsberry' )),
		'description' => esc_html__( 'Locations map', 'wheelsberry' ),
		'params' => array(
			array(
				'type' => 'om_info',
				'heading' => '',
				'description' => esc_html__('Please, note: to use this element you must specify Google Maps API key under "Appearance - Theme Options - General Settings".', 'wheelsberry').'<br/><br/>'.esc_html__('Rental locations are managed under "Locations" section.', 'wheelsberry'),
				'param_name' => 'info',
			),
			
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Title', 'wheelsberry'),
				'param_name' => 'title',
				'description' => '',
			),
			
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Map height', 'wheelsberry'),
				'param_name' => 'height',
				'description' => '',
			),
			
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Map zoom', 'wheelsberry'),
				'param_name' => 'zoom',
				'std' => 16,
				'description' => '',
			),
			
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Custom Map Marker', 'wheelsberry'),
				'description' => esc_html__('Leave empty for default', 'wheelsberry'),
				'param_name' => 'map_marker',
			),

			array(
				'type' => 'textfield',
				'heading' => esc_html__('Extra class name', 'wheelsberry'),
				'param_name' => 'el_class',
				'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'wheelsberry'),
			),
		),
	));
	
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_om_rental_locations extends WPBakeryShortCode {

		}
	}
	
	/**
	 * Max Width Block
	 */
	
	vc_map( array(
		'name' => esc_html__('Max Width Container', 'wheelsberry'),
		'description'  => esc_html__('Limit maximum width of the container', 'wheelsberry'),
		'base' => 'om_max_width',
		'icon' => 'om-wpb-icon-max-width',
		'category' => array(__( 'Content', 'wheelsberry' )),
		'content_element' => true,
		'is_container' => true,
		'show_settings_on_create' => true,
		'params' => array(
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Maximum container width', 'wheelsberry'),
				'param_name' => 'max_width',
				'description'  => esc_html__('Specify maximum width of the container in pixels or any other CSS measurement unit', 'wheelsberry'),
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Align', 'wheelsberry' ),
				'param_name' => 'align',
				'value' => array(
					__('Center', 'wheelsberry')=>'center',
					__('Left', 'wheelsberry')=>'left',
					__('Right', 'wheelsberry')=>'right',
				),
			),
			array(
				'type' => 'checkbox',
				'heading' => esc_html__( 'Do not apply on mobile devices', 'wheelsberry' ),
				'param_name' => 'no_mobile',
				'value' => array( esc_html__( 'Yes, please', 'wheelsberry' ) => 'yes' ),
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Extra class name', 'wheelsberry'),
				'param_name' => 'el_class',
				'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'wheelsberry')
			),
		),
		'js_view' => 'VcColumnView'
	));
	
	if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
		class WPBakeryShortCode_Om_Max_Width extends WPBakeryShortCodesContainer {
		}
	}
	
	/**
	 * Posts
	 */
	 
	vc_map( array(
		'name' => esc_html__( 'Posts', 'wheelsberry' ),
		'base' => 'om_posts',
		'icon' => 'vc_icon-vc-masonry-grid',
		'category' => array(esc_html__( 'Content', 'wheelsberry' )),
		'description' => esc_html__( 'News/Posts block', 'wheelsberry' ),
		'params' => array(
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Widget title', 'wheelsberry' ),
				'param_name' => 'title',
				'description' => esc_html__( 'Enter text which will be used as widget title. Leave blank if no title is needed.', 'wheelsberry' )
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Columns','wheelsberry'),
				'param_name' => 'columns',
				'admin_label' => true,
				'std' => 3,
				'value' => array(
					'3' => '3',
					'2' => '2',
				),
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Total number', 'wheelsberry' ),
				'param_name' => 'count',
				'value' => '',
				'admin_label' => true,
				'description' => esc_html__( 'Leave empty to display all posts', 'wheelsberry' )
			),
			array(
				'type' => 'om_categories_multiple',
				'heading' => esc_html__( 'Posts category', 'wheelsberry' ),
				'param_name' => 'category',
				'value' => '0',
				'description' => esc_html__( 'Choose a category (or multiple caterogires), to display posts from certain category.', 'wheelsberry' )
			),
			array(
				'type' => 'autocomplete',
				'heading' => esc_html__( 'Display only these posts', 'wheelsberry' ),
				'param_name' => 'ids',
				'settings' => array(
					'multiple' => true,
					'sortable' => true,
					'groups' => true,
				),
				'description' => esc_html__( 'If you want to display only certain posts, choose them here.', 'wheelsberry' )
			),
			array(
				'type' => 'checkbox',
				'heading' => esc_html__( 'Randomize posts', 'wheelsberry' ),
				'param_name' => 'randomize',
				'value' => array( esc_html__( 'Yes, please', 'wheelsberry' ) => 'yes' ),
			),
			array(
				'type' => 'checkbox',
				'heading' => esc_html__( 'Hide thumbnail', 'wheelsberry' ),
				'param_name' => 'hide_thumbnail',
				'value' => array( esc_html__( 'Yes, please', 'wheelsberry' ) => 'yes' ),
			),
			array(
				'type' => 'checkbox',
				'heading' => esc_html__( 'Hide meta (date, categories, tags)', 'wheelsberry' ),
				'param_name' => 'hide_meta',
				'value' => array( esc_html__( 'Yes, please', 'wheelsberry' ) => 'yes' ),
			),
			array(
				'type' => 'checkbox',
				'heading' => esc_html__( 'Hide excerpt', 'wheelsberry' ),
				'param_name' => 'hide_excerpt',
				'value' => array( esc_html__( 'Yes, please', 'wheelsberry' ) => 'yes' ),
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Extra class name', 'wheelsberry'),
				'param_name' => 'el_class',
				'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'wheelsberry')
			),
		),
	));

	// autocomplete	
	add_filter( 'vc_autocomplete_om_posts_ids_callback', 'wheelsberry_wpb_posts_field_search', 10, 1 );
	add_filter( 'vc_autocomplete_om_posts_ids_render', 'vc_include_field_render', 10, 1 );
	function wheelsberry_wpb_posts_field_search( $search_string ) {
		$query = $search_string;
		$data = array();
		$args = array( 's' => $query, 'post_type' => 'post' );
		$args['vc_search_by_title_only'] = true;
		$args['numberposts'] = - 1;
		if ( strlen( $args['s'] ) == 0 ) {
			unset( $args['s'] );
		}
		add_filter( 'posts_search', 'vc_search_by_title_only', 500, 2 );
		$posts = get_posts( $args );
		foreach ( $posts as $post ) {
			$data[] = array(
				'value' => $post->ID,
				'label' => $post->post_title,
				'group' => $post->post_type,
			);
		}
	
		return $data;
	}
	
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_om_posts extends WPBakeryShortCode {

		}
	}
}
