<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

$locations_query = new WP_Query('post_type=om-car-location&posts_per_page=-1&orderby=menu_order&order=ASC');
if(!$locations_query->have_posts()) {
	// nothing
} elseif(get_option('wheelsberry_google_maps_api_key') == '') {
	echo '<p style="text-align:center"><em>'.esc_html__('Google Maps API Key must specified in "Theme Options" to use Locations element.', 'wheelsberry').'</em></p>';
} else {

	$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
	extract( $atts );
	
	wp_enqueue_script('om-google-maps-api');
	
	$classes=apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, 'vc_om-rental-locations', $this->settings['base'], $atts );
	$height=trim($height);
	if($height && is_numeric($height)) {
		$height.='px';
	}
	$zoom=intval($zoom);
	
	if($map_marker && is_numeric($map_marker)) {
		$src=wp_get_attachment_image_src($map_marker,'full');
		if($src) {
			$map_marker=$src[0];
		}
	} elseif($map_marker == '') {
		$map_marker=WHEELSBERRY_TEMPLATE_DIR_URI . '/img/map-marker.png';
	}
	
	?>
	<div class="<?php echo esc_attr($classes) ?>" >
		<div class="om-rental-locations__header">
			<div class="om-container">
				<div class="om-rental-locations__header-inner om-container__inner">
					<?php if($title != '') { ?>
						<h3 class="om-rental-locations__title"><?php echo esc_html($title) ?></h3>
					<?php } ?>
					<div class="om-rental-locations__selector">
						<select class="om-rental-locations__select">
						<?php
							while( $locations_query->have_posts() ) {
								$locations_query->the_post();
								$address=get_post_meta(get_the_ID(), 'omcr_location_address', true);
								$lat=get_post_meta(get_the_ID(), 'omcr_location_geo_lat', true);
								$lng=get_post_meta(get_the_ID(), 'omcr_location_geo_lng', true);
								echo '<option value="'.get_the_ID().'" data-address="'.esc_attr($address).'" data-geo-lat="'.esc_attr($lat).'" data-geo-lng="'.esc_attr($lng).'">'; the_title(); echo '</option>';
							}
						?>
						</select>
					</div>
				</div>
			</div>
		</div>
		<div class="om-rental-locations__map"<?php echo ($height ? ' style="height:'.$height.'"' : '').($zoom ? ' data-map-zoom="'.$zoom.'"' : '').($map_marker ? ' data-map-marker="'.esc_attr($map_marker).'"' : '')?>></div>
	</div>
	<?php
	wp_reset_postdata();
	
}