<?php

add_action( 'init', 'wheelsberry_wpb_init', 11 );

function wheelsberry_wpb_init() {

	vc_remove_element('vc_tabs');
	vc_remove_element('vc_tour');
	vc_remove_element('vc_accordion');
	vc_remove_element('vc_button');
	vc_remove_element('vc_button2');
	vc_remove_element('vc_cta_button');
	vc_remove_element('vc_cta_button2');
	vc_remove_element('vc_widget_sidebar');
	vc_remove_element('vc_posts_slider');
	vc_remove_element('vc_basic_grid');
	vc_remove_element('vc_media_grid');
	vc_remove_element('vc_masonry_grid');
	vc_remove_element('vc_masonry_media_grid');

	/**
	 *  Section
	 */

	vc_remove_param("vc_section", "full_width");
	vc_remove_param("vc_section", "css");
	vc_remove_param("vc_section", "parallax");
	vc_remove_param("vc_section", "parallax_image");
	vc_remove_param("vc_section", "full_height");
	vc_remove_param("vc_section", "columns_placement");
	vc_remove_param("vc_section", "video_bg");
	vc_remove_param("vc_section", "video_bg_url");
	vc_remove_param("vc_section", "video_bg_parallax");
	vc_remove_param("vc_section", "parallax_speed_video");
	vc_remove_param("vc_section", "parallax_speed_bg");
	vc_remove_param("vc_section", "content_placement");
	vc_remove_param("vc_section", "css_animation");
	
	/**
	 * Row
	 */
	
	$params=new OMWPBScParams('vc_row');
	
  $param=$params->get('full_width');
  $param['description']=esc_html__( 'Please, note, that if you use "Stretch row" option you must hide the sidebar on the page to make use of this option.', 'wheelsberry' );
  $params->update($param);
	
	$params->add(array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Font color', 'wheelsberry'),
		'param_name' => 'font_color',
		'description' => esc_html__( 'Select custom font color or leave empty to use default.', 'wheelsberry' ),
		'group' => esc_html__( 'Font', 'wheelsberry' ),
	));
	
	$params->save();

	/**
	 * Message box
	 */

  $params=new OMWPBScParams('vc_message');
  
	$param=$params->get('style');
  $param['std']='rounded';
  $param['type']='hidden';
  $params->update($param);
  
  $param=$params->get('color');
  $tmp=array();
	foreach($param['options'] as $v) {
		if(!in_array($v['value'], array('alert-info','alert-warning','alert-success','alert-danger'))) {
			$tmp[]=$v;
		}
	}
	$param['options']=$tmp;
  $params->update($param);

	$param=$params->get('message_box_style');
  $param['std']='solid';
  $param['type']='hidden';
  $params->update($param);
  
	$param=$params->get('icon_type');
	$param['value']=array_diff($param['value'], array('pixelicons')) ;
	$params->update($param);

	$param=$params->get('message_box_color');
	$param['value']= array_diff($param['value'], array('alert-info','alert-warning','alert-success','alert-danger')) ;
	$params->update($param);
	
	$params->remove('css');  
	
  $params->save();	

	/**
	 * Toggle
	 */
	
	$params=new OMWPBScParams('vc_toggle');
	
	$param=$params->get('style');
  $param['std']='default';
  $param['type']='hidden';
	$params->update($param);

	$param=$params->get('size');
  $param['std']='md';
  $param['type']='hidden';
	$params->update($param);
		
	$param=$params->get('color');
  $param['std']='default';
  $param['type']='hidden';
	$params->update($param);
	
	$params->remove('css');  
	
	$params->save();


	/**
	 * Gallery
	 */
	 
  $param = WPBMap::getParam('vc_gallery', 'type');
  unset($param['value']['Flex slider fade']);
  unset($param['value']['Flex slider slide']);
  $param['value']=array_merge(array(
  	esc_html__('OM slider','wheelsberry') => 'om',
  	esc_html__('Sliced','wheelsberry') => 'sliced',
  	esc_html__('Masonry','wheelsberry') => 'masonry',
  ),$param['value']);
  WPBMap::mutateParam('vc_gallery', $param);
  
  $param = WPBMap::getParam('vc_gallery', 'images');
  unset($param['dependency']);
  WPBMap::mutateParam('vc_gallery', $param);

  $param = WPBMap::getParam('vc_gallery', 'source');
  $param['std']='media_library';
  $param['type']='hidden';
  WPBMap::mutateParam('vc_gallery', $param);
  
  vc_remove_param("vc_gallery", "img_size");
  vc_remove_param("vc_gallery", "external_img_size");
  vc_remove_param("vc_gallery", "custom_srcs");
  vc_remove_param("vc_gallery", "el_class");

	vc_add_param('vc_gallery', array(
		'type' => 'dropdown',
		'heading' => esc_html__('Columns number', 'wheelsberry'),
		'param_name' => 'columns',
		'value' => array(
			'1',
			'2',
			'3',
			'4',
			'5',
			'6',
			'7',
			'8',
			'9',
		),
		'dependency' => array(
			'element' => 'type',
			'value' => array('masonry','image_grid'),
		),
	));
	
	vc_add_param('vc_gallery', array(
		'type' => 'dropdown',
		'heading' => esc_html__('Images width/height ratio', 'wheelsberry'),
		'param_name' => 'ratio',
		'value' => array(
			'2:1' => '2:1',
			'16:9' => '16:9',
			'3:2' => '3:2',
			'4:3' => '4:3',
			'1:1' => '1:1',
			'3:4' => '3:4',
			'2:3' => '2:3',
			'9:16' => '9:16',
			'1:2' => '1:2',
		),
		'dependency' => array(
			'element' => 'type',
			'value' => array('image_grid'),
		),
	));
	
	vc_add_param('vc_gallery', array(
		'type' => 'checkbox',
		'heading' => esc_html__('Display captions', 'wheelsberry'),
		'param_name' => 'captions',
		'value' => array( esc_html__( 'Yes, please', 'wheelsberry' ) => 'yes' ),
		'dependency' => array(
			'element' => 'type',
			'value' => array('om','sliced','masonry','image_grid'),
		),
	));
	
	vc_add_param('vc_gallery', array(
		'type' => 'checkbox',
		'heading' => esc_html__('Use hi-res images', 'wheelsberry'),
		'description' => esc_html__( 'Check this option of you use gallery in a row without padding and the dimendions of images is not enough. Source images also must be high resolution in this case.', 'wheelsberry' ),
		'param_name' => 'hires',
		'value' => array( esc_html__( 'Yes, please', 'wheelsberry' ) => 'yes' ),
		'dependency' => array(
			'element' => 'type',
			'value' => array('sliced','masonry','image_grid'),
		),
	));
	
	vc_add_param('vc_gallery', array(
		'type' => 'textfield',
		'heading' => esc_html__( 'Extra class name', 'wheelsberry' ),
		'param_name' => 'el_class',
		'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'wheelsberry' )
	));

	/**
	 * Tabs
	 */

	$params=new OMWPBScParams('vc_tta_tabs');
	
	$param=$params->get('style');
  $param['std']='classic';
  $param['type']='hidden';
	$params->update($param);

	$param=$params->get('shape');
  $param['std']='rounded';
  $param['type']='hidden';
	$params->update($param);

	$param=$params->get('color');
  $param['std']='grey';
  $param['type']='hidden';
	$params->update($param);
	
	$param=$params->get('no_fill_content_area');
  $param['std']='';
  $param['type']='hidden';
	$params->update($param);
	
	$param=$params->get('spacing');
  $param['std']='10';
  $param['type']='hidden';
	$params->update($param);
	
	$param=$params->get('gap');
  $param['std']='';
  $param['type']='hidden';
	$params->update($param);

	$param=$params->get('pagination_style');
  $param['std']='';
  $param['type']='hidden';
	$params->update($param);
	
	$params->remove('css');  
	
	$params->save();
	
	/**
	 * Tour
	 */

	$params=new OMWPBScParams('vc_tta_tour');
	
	$param=$params->get('style');
  $param['std']='classic';
  $param['type']='hidden';
	$params->update($param);

	$param=$params->get('shape');
  $param['std']='rounded';
  $param['type']='hidden';
	$params->update($param);

	$param=$params->get('color');
  $param['std']='grey';
  $param['type']='hidden';
	$params->update($param);
	
	$param=$params->get('no_fill_content_area');
  $param['std']='';
  $param['type']='hidden';
	$params->update($param);
	
	$param=$params->get('spacing');
  $param['std']='20';
  $param['type']='hidden';
	$params->update($param);
	
	$param=$params->get('gap');
  $param['std']='';
  $param['type']='hidden';
	$params->update($param);

	$param=$params->get('pagination_style');
  $param['std']='';
  $param['type']='hidden';
	$params->update($param);
	
	$params->remove('css');  
	
	$params->save();

	/**
	 * Accordion
	 */

	$params=new OMWPBScParams('vc_tta_accordion');
	
	$param=$params->get('style');
  $param['std']='classic';
  $param['type']='hidden';
	$params->update($param);

	$param=$params->get('shape');
  $param['std']='rounded';
  $param['type']='hidden';
	$params->update($param);

	$param=$params->get('color');
  $param['std']='grey';
  $param['type']='hidden';
	$params->update($param);
	
	$param=$params->get('no_fill');
  $param['std']='';
  $param['type']='hidden';
	$params->update($param);
	
	$param=$params->get('spacing');
  $param['std']='';
  $param['type']='hidden';
	$params->update($param);
	
	$param=$params->get('gap');
  $param['std']='';
  $param['type']='hidden';
	$params->update($param);

	$param=$params->get('c_icon');
  $param['std']='plus';
  $param['type']='hidden';
	$params->update($param);
	
	$param=$params->get('c_position');
  $param['std']='left';
  $param['type']='hidden';
	$params->update($param);
	
	$params->remove('css');  
	
	$params->save();

	/**
	 * Pageable
	 */

	$params=new OMWPBScParams('vc_tta_pageable');

	$param=$params->get('pagination_style');
  $param['std']='flat-round';
  $param['type']='hidden';
	$params->update($param);

	$param=$params->get('pagination_color');
  $param['std']='grey';
  $param['type']='hidden';
	$params->update($param);
	
	$params->remove('css');  
	
	$params->save();
			
  /**
   * Custom Heading
   */
   
  $params=new OMWPBScParams('vc_custom_heading');

	$params->add(array(
		'type' => 'textarea',
		'heading' => esc_html__( 'Additional Text', 'wheelsberry' ),
		'description'  => esc_html__('Smaller size second line', 'wheelsberry'),
		'std' => '',
		'param_name' => 'text_additional',
	), 'text');

	$param=$params->get('use_theme_fonts');
	$param['std']='yes';
	$params->update($param);
	
	$params->save();	  
	
  /**
   * Button
   */
   
  $params=new OMWPBScParams('vc_btn');

	$param=$params->get('style');
	$param['value']=array_intersect($param['value'], array('flat', 'custom')) ;
	$params->update($param);

	$param=$params->get('shape');
  $param['std']='rounded';
  $param['type']='hidden';
	$params->update($param);

	$param=$params->get('color');
	$param['value']=array_merge(array(esc_html__('Default button color','wheelsberry') => 'om-button-color', esc_html__('Accent color','wheelsberry') => 'om-accent-color', esc_html__('Second accent color','wheelsberry') => 'om-accent-color2'), $param['value']);
	$param['std']='om-button-color';
	$params->update($param);	
	
	$params->save(); 
	
  /**
   * CTA
   */
   
  $params=new OMWPBScParams('vc_cta');

	$param=$params->get('style');
	$param['value']=array_intersect($param['value'], array('flat', 'custom')) ;
	$params->update($param);

	$param=$params->get('shape');
  $param['std']='rounded';
  $param['type']='hidden';
	$params->update($param);

	$param=$params->get('color');
	$param['value']=array_merge(array(esc_html__('Default button color','wheelsberry') => 'om-button-color', esc_html__('Accent color','wheelsberry') => 'om-accent-color', esc_html__('Second accent color','wheelsberry') => 'om-accent-color2'), $param['value']);
	$param['std']='om-accent-color';
	$params->update($param);	
	
	$params->save(); 
	
	
}
