<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

wp_enqueue_style( 'owl-carousel' );
wp_enqueue_script( 'owl-carousel' );

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$classes=array('om-about__item');
if($el_class) {
	$classes[]=$el_class;
}

$img_id = preg_replace( '/[^\d]/', '', $img );

if($img_id) {
	$img = wpb_getImageBySize( array(
		'attach_id' => $img_id,
		'thumb_size' => '740x486',
		'class' => '',
	) );
	if(preg_match('/src="([^"]+)"/', $img['thumbnail'], $m)) {
		$img=$m[1];
	} else {
		$img=false;
	}
}

if ( ! empty( $link ) ) {
	$link = vc_build_link( $link );
	$link_html = '<a href="' . esc_url( $link['url'] ) . '" class="om-about__link"'
		. ( $link['target'] ? ' target="' . esc_attr( $link['target'] ) . '"' : '' )
		. ( isset($link['rel']) && $link['rel'] ? ' rel="' . esc_attr( $link['rel'] ) . '"' : '' )
		. ( $link['title'] ? ' title="' . esc_attr( $link['title'] ) . '"' : '' )
		. '></a>';
} else {
	$link_html='';
}

$content_block_html='';
if($content_block == 'img') {
	if($content_img) {
		$src=wp_get_attachment_image_src($content_img,'full');
		if($src) {
			$content_block_html='<div class="om-about__media om-about__media--image"><img src="'.$src[0].'" alt="" /></div>';
		}
	}
} elseif($content_block == 'icon') {
	if($icon_type && isset( ${"icon_" . $icon_type} )) {
		vc_icon_element_fonts_enqueue( $icon_type );
		$content_block_html='<div class="om-about__media om-about__media--icon"><i class="'.${"icon_" . $icon_type}.'" style="font-size:'.intval($icon_size).'px"></i></div>';
	}
} elseif($content_block == 'counter') {
	if($counter_value != '' || $counter_title != '') {
		$content_block_html='<div class="om-about__media om-about__media--counter"><div class="om-about__counter-value">'.$counter_value.'</div><div class="om-about__counter-title">'.$counter_title.'</div></div>';
	}
}

$classes=apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode(' ',$classes), $this->settings['base'], $atts );
echo '<div class="'.$classes.'">';
	echo '<div class="om-about__item-inner">';
		echo '<div class="om-about__img"'.($img_id && $img ? ' style="background-image:url('.$img.')"' : '').'></div>';
		echo '<div class="om-about__pane">';
			echo '<div class="om-about__pane-inner">';
				echo '<h3 class="om-about__title">'.$title.'</h3>';
				echo $content_block_html;
				echo '<div class="om-about__description">'.wpb_js_remove_wpautop($content, true).'</div>';
				echo $link_html;
			echo '</div>';
		echo '</div>';
	echo '</div>';
echo '</div>';